#!/bin/sh

CHANNELS=4
CORES=4

#
# Database
#

rm -rf db/log/*
rm -f db/db.core
rm -f db/usage.txt
rm -f db/version.txt
rm -f db/db.log
rm -f db/pid
rm -f db/pid.db
rm -f db/PTS
rm -f db/syserr
rm -f db/syslog
rm -f db/stdout

#
# Auth (Single Core)
#

rm -rf auth/log/*
rm -f auth/game.core
rm -f auth/packet_info.txt
rm -f auth/p2p_packet_info.txt
rm -f auth/version.txt
rm -f auth/auth.log
rm -f auth/pid
rm -f auth/pid.auth
rm -f auth/PTS
rm -f auth/syserr
rm -f auth/syslog
rm -f auth/stdout

for CH in $(seq 1 $CHANNELS)
do
	#
	# Game $CH
	#
	for CORE in $(seq 1 $CORES)
	do
		rm -rf game/channel${CH}/core${CORE}/log/*
		rm -f game/channel${CH}/core${CORE}/game.core
		rm -f game/channel${CH}/core${CORE}/DEV_LOG.log
		rm -f game/channel${CH}/core${CORE}/mob_count
		rm -f game/channel${CH}/core${CORE}/packet_info.txt
		rm -f game/channel${CH}/core${CORE}/p2p_packet_info.txt
		rm -f game/channel${CH}/core${CORE}/version.txt
		rm -f game/channel${CH}/core${CORE}/game${CH}_core${CORE}.log
		rm -f game/channel${CH}/core${CORE}/pid
		rm -f game/channel${CH}/core${CORE}/pid.game${CH}_core${CORE}
		rm -f game/channel${CH}/core${CORE}/PTS
		rm -f game/channel${CH}/core${CORE}/syserr
		rm -f game/channel${CH}/core${CORE}/syslog
		rm -f game/channel${CH}/core${CORE}/stdout
	done
done

#
# Game 99 (Single Core)
#

rm -rf game/channel99/log/*
rm -f game/channel99/game.core
rm -f game/channel99/DEV_LOG.log
rm -f game/channel99/mob_count
rm -f game/channel99/packet_info.txt
rm -f game/channel99/p2p_packet_info.txt
rm -f game/channel99/version.txt
rm -f game/channel99/game99.log
rm -f game/channel99/pid
rm -f game/channel99/pid.game99
rm -f game/channel99/PTS
rm -f game/channel99/syserr
rm -f game/channel99/syslog
rm -f game/channel99/stdout

echo -e "Cleared logs"
