#!/bin/sh

CHANNELS=1
CORES=4
USE_VRUNNER=0

if [ "$1" = "clear" ]
then
	sh clear.sh
fi

read -p "How many channels do you want to start? [0-$CHANNELS] : " CH_OPT

#
# Database
#

echo -e "Starting Database Cache Server"
if [ "$USE_VRUNNER" = "1" ]
then
	cd db && ./vrunner --daemon --pid-path=pid.db --file=db >> db.log 2>&1 &
else
	cd db && ./db & sleep 5;
fi

#
# Auth (Single Core)
#

echo -e "Starting Auth"
if [ "$USE_VRUNNER" = "1" ]
then
	cd auth && ./vrunner --daemon --pid-path=pid.auth --file=auth >> auth.log 2>&1 &
else
	cd auth && ./auth & sleep 3;
fi

for CH in $(seq 1 $CH_OPT)
do
	#
	# Game $CH
	#
	if [ "$USE_VRUNNER" = "1" ]
	then
		for CORE in $(seq 1 $CORES)
		do
			echo -e "Starting Channel $CH Core ($CORE/$CORES)"
			cd game/channel${CH}/core${CORE} && ./vrunner --daemon --pid-path=pid.game${CH}_core${CORE} --file=game >> game${CH}_core${CORE}.log 2>&1 & sleep 1
		done
	else
		for CORE in $(seq 1 $CORES)
		do
			echo -e "Starting Channel $CH Core ($CORE/$CORES)"
			cd game/channel${CH}/core${CORE} && ./game & sleep 2
		done
	fi
done

#
# Game 99 (Single Core)
#

echo -e "Starting Channel 99 (Single Core)"
if [ "$USE_VRUNNER" = "1" ]
then
	cd game/channel99 && ./vrunner --daemon --pid-path=pid.game99 --file=game >> game99.log 2>&1 &
else
	cd game/channel99 && ./game & sleep 2
fi
