#!/bin/sh

CHANNELS=1
CORES=4
USE_VRUNNER=0

#
# Database Cache Server
#

if [ "$USE_VRUNNER" = "1" ]
then
	kill -1 `cat db/pid.db` & sleep 1
	rm -f db/pid.db
else
	kill -1 `cat db/pid` & sleep 1
	rm -f db/pid
fi

#
# Auth (Single Core)
#

if [ "$USE_VRUNNER" = "1" ]
then
	kill -1 `cat auth/pid.auth` & sleep 1
	rm -f auth/pid.auth
else
	kill -1 `cat auth/pid` & sleep 1
	rm -f auth/pid
fi

for CH in $(seq 1 $CHANNELS)
do
	#
	# Game $CH
	#
	if [ "$USE_VRUNNER" = "1" ]
	then
		for CORE in $(seq 1 $CORES)
		do
			echo -e "Stopping Channel $CH Core ($CORE/$CORES)"
			kill -1 `cat game/channel${CH}/core${CORE}/pid.game${CH}_core${CORE}` & sleep 1
			rm -f game/channel${CH}/core${CORE}/pid.game${CH}_core${CORE}
		done
	else
		for CORE in $(seq 1 $CORES)
		do
			echo -e "Stopping Channel $CH Core ($CORE/$CORES)"
			kill -1 `cat game/channel${CH}/core${CORE}/pid` & sleep 1
			rm -f game/channel${CH}/core${CORE}/pid
		done
	fi
done

#
# Game 99 (Single Core)
#

if [ "$USE_VRUNNER" = "1" ]
then
	kill -1 `cat game/channel99/pid.game99` & sleep 1
	rm -f game/channel99/pid.game99
else
	kill -1 `cat game/channel99/pid` & sleep 1
	rm -f game/channel99/pid
fi
