-- #################################################################
-- ##                                                             ##
-- ##                        LOCALE.LUA                           ##
-- ##                                                             ##
-- ## Background:                                                 ##
-- ##   This file provides Metin2 with one big array!             ##
-- ##   This array contains some configurations values and a lot  ##
-- ##   of strings to translate. Also every quest-file contains   ##
-- ##   string to translate.                                      ##
-- ##                                                             ##
-- ## Gameforge-Way-To-Do:                                        ##
-- ##   We extract everything we need to translate from this file ##
-- ##   into one big "Key = Value"-file. Simple key-value-files   ##
-- ##   can be managed by our localisation-tool.                  ##
-- ##   Also we extract every string out of every .quest-file and ##
-- ##   generate a lots of new keys. These keys are used in the   ##
-- ##   .quest-files.                                             ##
-- ##                                                             ##
-- ##   !! The key-value-file is called 'translate.lua'           ##
-- ##                                                             ##
-- ## The Advantage:                                              ##
-- ##   1) We can easily translate everything with our tool       ##
-- ##   2) We cant create syntax-errors in this file              ##
-- ##   3) We cant create syntax-errors in the quest-files        ##
-- ##   4) We can compare the quest-files between two languages   ##
-- ##      to find differences if something is broken in only     ##
-- ##      country.                                               ##
-- ##                                                             ##
-- #################################################################

locale = {}
locale.man_postfix = gameforge.locale.man_postfix
locale.woman_postfix = gameforge.locale.woman_postfix
locale.confirm = gameforge.locale.confirm
locale.reward = gameforge.locale.reward
locale.exp = gameforge.locale.exp
locale.count_prefix = gameforge.locale.count_prefix
locale.count_postfix = gameforge.locale.count_postfix
locale.level = gameforge.locale.level
locale.quest_word = gameforge.locale.quest_word
locale.complete = gameforge.locale.complete
locale.start = gameforge.locale.start
locale.chat = gameforge.locale.chat
locale.eliminate_on_begin = gameforge.locale.eliminate_on_begin
locale.eliminate_on_end = gameforge.locale.eliminate_on_end
locale.yes = gameforge.locale.yes
locale.no = gameforge.locale.no
locale.cancel = gameforge.locale.cancel
locale.gold = gameforge.locale.gold
locale.need_item_prefix = gameforge.locale.need_item_prefix
locale.need_item_postfix = gameforge.locale.need_item_postfix

locale.map_name = {
	[61] = gameforge.locale.map_name_1,
	[62] = gameforge.locale.map_name_2,
	[63] = gameforge.locale.map_name_3,
	[64] = gameforge.locale.map_name_4,
}

locale.empire_names = {
	[0] = gameforge.locale.empire_names_1,
	[1] = gameforge.locale.empire_names_2,
	[2] = gameforge.locale.empire_names_3,
	[3] = gameforge.locale.empire_names_4,
}

locale.item_drop_pct = gameforge.locale.item_drop_pct
locale.gold_drop_pct = gameforge.locale.gold_drop_pct
locale.tengold_drop_pct = gameforge.locale.tengold_drop_pct
locale.exp_pct = gameforge.locale.exp_pct
locale.show_guild_ranking_top = gameforge.locale.show_guild_ranking_top
locale.show_guild_ranking_around = gameforge.locale.show_guild_ranking_around
locale.show_guild_cur_score = gameforge.locale.show_guild_cur_score
locale.guild_around_rank_msg = gameforge.locale.guild_around_rank_msg
locale.guild_top_rank_msg = gameforge.locale.guild_top_rank_msg
locale.guild_rank_head = gameforge.locale.guild_rank_head
locale.guild_your_rank1 = gameforge.locale.guild_your_rank1
locale.guild_your_rank2 = gameforge.locale.guild_your_rank2
locale.guild_your_rank3 = gameforge.locale.guild_your_rank3
locale.deviltower_man_chat = gameforge.locale.deviltower_man_chat
locale.deviltower_man_say = gameforge.locale.deviltower_man_say
locale.deviltower_man_say_you_cant = gameforge.locale.deviltower_man_say_you_cant 
locale.deviltower_enter = gameforge.locale.deviltower_enter
locale.deviltower_no_enter = gameforge.locale.deviltower_no_enter
locale.forked_man_chat = gameforge.locale.forked_man_chat
locale.forked_man_say = gameforge.locale.forked_man_say
locale.forked_man_say_cant = gameforge.locale.forked_man_say_cant
locale.forked_enter = gameforge.locale.forked_enter
locale.forked_no_enter = gameforge.locale.forked_no_enter
locale.forked_open_gate = gameforge.locale.forked_open_gate
locale.forked_kill_boss = gameforge.locale.forked_kill_boss
locale.forked_condition = gameforge.locale.forked_condition
locale.forked_condition2 = gameforge.locale.forked_condition2
locale.forked_rule = gameforge.locale.forked_rule
locale.forked_rule_sungzi = gameforge.locale.forked_rule_sungzi
locale.login_notice = gameforge.locale.login_notice
locale.NOTICE_COLOR = color256(255, 230, 186)
locale.NORMAL_COLOR = color256(196, 196, 196)
locale.QUEST_TEMP_REWARD = locale.NOTICE_COLOR .. gameforge.locale.quest_temp_reward_1 .. locale.NORMAL_COLOR .. gameforge.locale.quest_temp_reward_2 

locale.yeonnahwan = {}
locale.yeonnahwan.start_level_begin = 99
locale.yeonnahwan.start_level_end = 99
locale.yeonnahwan.start_probability = 1
locale.yeonnahwan.end_level = 99
locale.yeonnahwan.kill_count = 1
locale.yeonnahwan.event_item = gameforge.locale.yeonnahwan.event_item
locale.yeonnahwan.find_yeonnahwan_label = gameforge.locale.yeonnahwan.find_yeonnahwan_label
locale.yeonnahwan.find_yeonnahwan_text = locale.NOTICE_COLOR .. gameforge.locale.yeonnahwan.find_yeonnahwan_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.yeonnahwan.find_yeonnahwan_text_2
locale.yeonnahwan.find_eulduji_label = gameforge.locale.yeonnahwan.find_eulduji_label
locale.yeonnahwan.find_eulduji_text = locale.NOTICE_COLOR .. gameforge.locale.yeonnahwan.find_eulduji_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.yeonnahwan.find_eulduji_text_2
locale.yeonnahwan.report_label = gameforge.locale.yeonnahwan.report_label
locale.yeonnahwan.report_text = gameforge.locale.yeonnahwan.report_text
locale.yeonnahwan.kill_unggwi_label = gameforge.locale.yeonnahwan.kill_unggwi_label
locale.yeonnahwan.kill_unggwi_text = locale.NOTICE_COLOR .. gameforge.locale.yeonnahwan.kill_unggwi_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.yeonnahwan.kill_unggwi_text_2

locale.huanso = {}
locale.huanso.start_level_begin = 32
locale.huanso.start_level_end = 35
locale.huanso.start_probability = 3
locale.huanso.end_level = 38
locale.huanso.kill_count = 3
locale.huanso.event_item = 30102
locale.huanso.order_label = gameforge.locale.huanso.order_label
locale.huanso.order_text = locale.NOTICE_COLOR .. gameforge.locale.huanso.order_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.huanso.order_text_2
locale.huanso.too_late = gameforge.locale.huanso.too_late
locale.huanso.find_label = gameforge.locale.huanso.find_label
locale.huanso.find_text = locale.NOTICE_COLOR .. gameforge.locale.huanso.find_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.huanso.find_text_2
locale.huanso.kill_label = gameforge.locale.huanso.kill_label
locale.huanso.kill_text = locale.NOTICE_COLOR .. gameforge.locale.huanso.kill_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.huanso.kill_text_2
locale.huanso.make_label = gameforge.locale.huanso.make_label
locale.huanso.make_text = locale.NOTICE_COLOR .. gameforge.locale.huanso.make_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.huanso.make_text_2
locale.huanso.deliver_label = gameforge.locale.huanso.deliver_label
locale.huanso.deliver_text = locale.NOTICE_COLOR .. gameforge.locale.huanso.deliver_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.huanso.deliver_text_2
locale.huanso.success_label = gameforge.locale.huanso.success_label
locale.huanso.success_text = locale.NOTICE_COLOR .. gameforge.locale.huanso.success_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.huanso.success_text_2
locale.huanso.failure_label = gameforge.locale.huanso.failure_label
locale.huanso.failure_text = locale.NOTICE_COLOR .. gameforge.locale.huanso.failure_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.huanso.failure_text_2

locale.yuhwan = {}
locale.yuhwan.start_level_begin = 40
locale.yuhwan.start_level_end = 43
locale.yuhwan.start_probability = 3
locale.yuhwan.end_level = 45
locale.yuhwan.kill_count = 3
locale.yuhwan.event_item = 30102
locale.yuhwan.find_label = gameforge.locale.yuhwan.find_label
locale.yuhwan.find_text = locale.NOTICE_COLOR .. gameforge.locale.yuhwan.find_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.yuhwan.find_text_2
locale.yuhwan.too_late = gameforge.locale.yuhwan.too_late
locale.yuhwan.kill_label = gameforge.locale.yuhwan.kill_label
locale.yuhwan.kill_text = locale.NOTICE_COLOR .. gameforge.locale.yuhwan.kill_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.yuhwan.kill_text_2
locale.yuhwan.success_info_label = gameforge.locale.yuhwan.success_info_label
locale.yuhwan.success_info_text = locale.NOTICE_COLOR .. gameforge.locale.yuhwan.success_info_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.yuhwan.success_info_text_2
locale.yuhwan.failure_info_label = gameforge.locale.yuhwan.failure_info_label
locale.yuhwan.failure_info_text = locale.NOTICE_COLOR .. gameforge.locale.yuhwan.failure_info_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.yuhwan.failure_info_text_2

locale.deokbae = {}
locale.deokbae.start_level_begin = 80
locale.deokbae.start_level_end = 80
locale.deokbae.start_probability = 3
locale.deokbae.end_level = 40
locale.deokbae.kill_count = 3
locale.deokbae.event_item = 30102
locale.deokbae.find_deokbae_label = gameforge.locale.deokbae.find_deokbae_label
locale.deokbae.find_deokbae_text = locale.NOTICE_COLOR .. gameforge.locale.deokbae.find_deokbae_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.deokbae.find_deokbae_text_2
locale.deokbae.too_late = gameforge.locale.deokbae.too_late
locale.deokbae.kill_label = gameforge.locale.deokbae.kill_label
locale.deokbae.kill_text = locale.NOTICE_COLOR .. gameforge.locale.deokbae.kill_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.deokbae.kill_text_2
locale.deokbae.success_info_label = gameforge.locale.deokbae.success_info_label
locale.deokbae.success_info_text = locale.NOTICE_COLOR .. gameforge.locale.deokbae.success_info_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.deokbae.success_info_text_2
locale.deokbae.failure_info_label = gameforge.locale.deokbae.failure_info_label
locale.deokbae.failure_info_text = locale.NOTICE_COLOR .. gameforge.locale.deokbae.failure_info_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.deokbae.failure_info_text_2

locale.bookworm = {}
locale.bookworm.start_level_begin = 28
locale.bookworm.start_level_end = 31
locale.bookworm.start_probability = 3
locale.bookworm.end_level = 34
locale.bookworm.kill_count = 3
locale.bookworm.talk = gameforge.locale.bookworm.talk
locale.bookworm.aranyeo_talk = gameforge.locale.bookworm.aranyeo_talk
locale.bookworm.etc_shop_talk_about_bookworm = gameforge.locale.bookworm.etc_shop_talk_about_bookworm
locale.bookworm.talk_about_milgyo_book = gameforge.locale.bookworm.talk_about_milgyo_book
locale.bookworm.do_you_find_the_book = gameforge.locale.bookworm.do_you_find_the_book
locale.bookworm.do_you_mean_this_book = gameforge.locale.bookworm.do_you_mean_this_book
locale.bookworm.START_say = gameforge.locale.bookworm.start_say
locale.bookworm.START_say2 = gameforge.locale.bookworm.start_say2
locale.bookworm.aranyeo_START_say = gameforge.locale.bookworm.aranyeo_start_say
locale.bookworm.aranyeo_START_say2 = gameforge.locale.bookworm.aranyeo_start_say2
locale.bookworm.etc_shop_START_say = gameforge.locale.bookworm.etc_shop_start_say
locale.bookworm.etc_shop_START_say2 = gameforge.locale.bookworm.etc_shop_start_say2
locale.bookworm.START_find_bookworm_label = gameforge.locale.bookworm.start_find_bookworm_label
locale.bookworm.START_find_bookworm_text = locale.NOTICE_COLOR .. gameforge.locale.bookworm.start_find_bookworm_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.bookworm.start_find_bookworm_text_2
locale.bookworm.ORDER_say1 = gameforge.locale.bookworm.order_say1
locale.bookworm.ORDER_say2 = gameforge.locale.bookworm.order_say2
locale.bookworm.ORDER_accept = gameforge.locale.bookworm.order_accept
locale.bookworm.ORDER_refuse = gameforge.locale.bookworm.order_refuse
locale.bookworm.ORDER_accept_answer = gameforge.locale.bookworm.order_accept_answer
locale.bookworm.ORDER_refuse_answer = gameforge.locale.bookworm.order_refuse_answer
locale.bookworm.ORDER_find_book_label = gameforge.locale.bookworm.order_find_book_label
locale.bookworm.ORDER_find_book_text = locale.NOTICE_COLOR .. gameforge.locale.bookworm.order_find_book_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.bookworm.order_find_book_text_2
locale.bookworm.ORDER_too_late = gameforge.locale.bookworm.order_too_late
locale.bookworm.ACCEPT_success_say = locale.NOTICE_COLOR .. gameforge.locale.bookworm.accept_success_say_1 .. locale.NORMAL_COLOR .. gameforge.locale.bookworm.accept_success_say_2
locale.bookworm.ACCEPT_failure_say = locale.NOTICE_COLOR .. gameforge.locale.bookworm.accept_failure_say_1 .. locale.NORMAL_COLOR .. gameforge.locale.bookworm.accept_failure_say_2
locale.bookworm.ACCEPT_ask = gameforge.locale.bookworm.accept_ask
locale.bookworm.ACCEPT_success_info_label = gameforge.locale.bookworm.accept_success_info_label
locale.bookworm.ACCEPT_success_info_text = locale.NOTICE_COLOR .. gameforge.locale.bookworm.accept_success_info_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.bookworm.accept_success_info_text_2
locale.bookworm.ACCEPT_failure_info_label = gameforge.locale.bookworm.accept_failure_info_label
locale.bookworm.ACCEPT_failure_info_text = locale.NOTICE_COLOR .. gameforge.locale.bookworm.accept_failure_info_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.bookworm.accept_failure_info_text_2
locale.bookworm.SUCCESS_thanks = gameforge.locale.bookworm.success_thanks
locale.bookworm.COMPLETE_say = gameforge.locale.bookworm.complete_say
locale.bookworm.aranyeo_COMPLETE_say = gameforge.locale.bookworm.aranyeo_complete_say
locale.bookworm.aranyeo_COMPLETE_say2 = gameforge.locale.bookworm.aranyeo_complete_say2

locale.old_pirate = {}
locale.old_pirate.start_level_begin = 48
locale.old_pirate.start_level_end = 51
locale.old_pirate.start_probability = 3
locale.old_pirate.end_level = 54
locale.old_pirate.kill_count = 3
locale.old_pirate.talk = gameforge.locale.old_pirate.talk
locale.old_pirate.baekgo_talk = gameforge.locale.old_pirate.baekgo_talk
locale.old_pirate.etc_shop_talk_about_old_pirate = gameforge.locale.old_pirate.etc_shop_talk_about_old_pirate
locale.old_pirate.talk_about_medicine = gameforge.locale.old_pirate.talk_about_medicine
locale.old_pirate.do_you_get_the_medicine = gameforge.locale.old_pirate.do_you_get_the_medicine
locale.old_pirate.do_you_mean_this_medicine = gameforge.locale.old_pirate.do_you_mean_this_medicine
locale.old_pirate.baekgo_talk_about_old_pirate = gameforge.locale.old_pirate.baekgo_talk_about_old_pirate
locale.old_pirate.baekgo_do_you_get_the_virus = gameforge.locale.old_pirate.baekgo_do_you_get_the_virus
locale.old_pirate.baekgo_iv_got_the_virus = gameforge.locale.old_pirate.baekgo_iv_got_the_virus
locale.old_pirate.START_say = gameforge.locale.old_pirate.start_say
locale.old_pirate.etc_shop_START_say = gameforge.locale.old_pirate.etc_shop_start_say
locale.old_pirate.etc_shop_START_say2 = gameforge.locale.old_pirate.etc_shop_start_say2
locale.old_pirate.START_find_old_pirate_label = gameforge.locale.old_pirate.start_find_old_pirate_label
locale.old_pirate.START_find_old_pirate_text = locale.NOTICE_COLOR .. gameforge.locale.old_pirate.start_find_old_pirate_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.old_pirate.start_find_old_pirate_text_2
locale.old_pirate.ORDER_say1 = gameforge.locale.old_pirate.order_say1
locale.old_pirate.ORDER_say2 = gameforge.locale.old_pirate.order_say2
locale.old_pirate.ORDER_accept = gameforge.locale.old_pirate.order_accept
locale.old_pirate.ORDER_refuse = gameforge.locale.old_pirate.order_refuse
locale.old_pirate.ORDER_accept_answer = gameforge.locale.old_pirate.order_accept_answer
locale.old_pirate.ORDER_refuse_answer = gameforge.locale.old_pirate.order_refuse_answer
locale.old_pirate.ORDER_find_medicine_label = gameforge.locale.old_pirate.order_find_medicine_label
locale.old_pirate.ORDER_find_medicine_text = locale.NOTICE_COLOR .. gameforge.locale.old_pirate.order_find_medicine_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.old_pirate.order_find_medicine_text_2
locale.old_pirate.ORDER_too_late = gameforge.locale.old_pirate.order_too_late
locale.old_pirate.ACCEPT_success_say = locale.NOTICE_COLOR .. gameforge.locale.old_pirate.accept_success_say_1 .. locale.NORMAL_COLOR .. gameforge.locale.old_pirate.accept_success_say_2
locale.old_pirate.ACCEPT_failure_say = locale.NOTICE_COLOR .. gameforge.locale.old_pirate.accept_failure_say_1 .. locale.NORMAL_COLOR .. gameforge.locale.old_pirate.accept_failure_say_2
locale.old_pirate.ACCEPT_ask = gameforge.locale.old_pirate.accept_ask
locale.old_pirate.ACCEPT_success_info_label = gameforge.locale.old_pirate.accept_success_info_label
locale.old_pirate.ACCEPT_success_info_text = locale.NOTICE_COLOR .. gameforge.locale.old_pirate.accept_success_info_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.old_pirate.accept_success_info_text_2
locale.old_pirate.ACCEPT_failure_info_label = gameforge.locale.old_pirate.accept_failure_info_label
locale.old_pirate.ACCEPT_failure_info_text = locale.NOTICE_COLOR .. gameforge.locale.old_pirate.accept_failure_info_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.old_pirate.accept_failure_info_text_2
locale.old_pirate.BAEKGO_START_say = gameforge.locale.old_pirate.baekgo_start_say
locale.old_pirate.BAEKGO_START_say2 = gameforge.locale.old_pirate.baekgo_start_say2
locale.old_pirate.BAEKGO_START_say3 = gameforge.locale.old_pirate.baekgo_start_say3
locale.old_pirate.BAEKGO_ORDER_find_virus_label = gameforge.locale.old_pirate.baekgo_order_find_virus_label
locale.old_pirate.BAEKGO_ORDER_find_virus_text = locale.NOTICE_COLOR .. gameforge.locale.old_pirate.baekgo_order_find_virus_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.old_pirate.baekgo_order_find_virus_text_2
locale.old_pirate.BAEKGO_ORDER_too_late = gameforge.locale.old_pirate.baekgo_order_too_late
locale.old_pirate.BAEKGO_ACCEPT_success_say = locale.NOTICE_COLOR .. gameforge.locale.old_pirate.baekgo_accept_success_say_1 .. locale.NORMAL_COLOR .. gameforge.locale.old_pirate.baekgo_accept_success_say_2
locale.old_pirate.BAEKGO_ACCEPT_failure_say = locale.NOTICE_COLOR .. gameforge.locale.old_pirate.baekgo_accept_failure_say_1 .. locale.NORMAL_COLOR .. gameforge.locale.old_pirate.baekgo_accept_failure_say_2
locale.old_pirate.BAEKGO_ACCEPT_ask = gameforge.locale.old_pirate.baekgo_accept_ask
locale.old_pirate.BAEKGO_ACCEPT_success_info_label = gameforge.locale.old_pirate.baekgo_accept_success_info_label
locale.old_pirate.BAEKGO_ACCEPT_success_info_text = locale.NOTICE_COLOR .. gameforge.locale.old_pirate.baekgo_accept_success_info_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.old_pirate.baekgo_accept_success_info_text_2
locale.old_pirate.BAEKGO_ACCEPT_failure_info_label = gameforge.locale.old_pirate.baekgo_accept_failure_info_label
locale.old_pirate.BAEKGO_ACCEPT_failure_info_text = locale.NOTICE_COLOR .. gameforge.locale.old_pirate.baekgo_accept_failure_info_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.old_pirate.baekgo_accept_failure_info_text_2
locale.old_pirate.BAEKGO_SUCCESS_say = gameforge.locale.old_pirate.baekgo_success_say
locale.old_pirate.SUCCESS_thanks = gameforge.locale.old_pirate.success_thanks
locale.old_pirate.COMPLETE_say = gameforge.locale.old_pirate.complete_say

locale.stamina_food = {}
locale.stamina_food.butcher = {}
locale.stamina_food.food_manager = {}
locale.stamina_food.start_probability = 3
locale.stamina_food.start_level_begin = 90
locale.stamina_food.start_level_end = 90
locale.stamina_food.end_level = 59
locale.stamina_food.kill_count = 3
locale.stamina_food.butcher.talk = gameforge.locale.stamina_food.butcher.talk
locale.stamina_food.food_manager.talk = gameforge.locale.stamina_food.food_manager.talk
locale.stamina_food.food_manager.talk_about_greeenfrog_soup = gameforge.locale.stamina_food.food_manager.talk_about_greeenfrog_soup
locale.stamina_food.i_dont_have_the_greeenfrog_meat_yet = gameforge.locale.stamina_food.i_dont_have_the_greeenfrog_meat_yet
locale.stamina_food.i_have_the_greenfrog_meat = gameforge.locale.stamina_food.i_have_the_greenfrog_meat
locale.stamina_food.butcher.START_say = gameforge.locale.stamina_food.butcher.start_say
locale.stamina_food.butcher.START_say2 = gameforge.locale.stamina_food.butcher.start_say2
locale.stamina_food.food_manager.ORDER_say = gameforge.locale.stamina_food.food_manager.order_say
locale.stamina_food.food_manager.ORDER_say2 = gameforge.locale.stamina_food.food_manager.order_say2
locale.stamina_food.ORDER_accept = gameforge.locale.stamina_food.order_accept
locale.stamina_food.ORDER_refuse = gameforge.locale.stamina_food.order_refuse
locale.stamina_food.ORDER_accept_answer = gameforge.locale.stamina_food.order_accept_answer
locale.stamina_food.ORDER_refuse_answer = gameforge.locale.stamina_food.order_refuse_answer
locale.stamina_food.ORDER_get_greenfrog_general_meat_label = gameforge.locale.stamina_food.order_get_greenfrog_general_meat_label
locale.stamina_food.ORDER_get_greenfrog_general_meat_text = locale.NOTICE_COLOR .. gameforge.locale.stamina_food.order_get_greenfrog_general_meat_text
locale.stamina_food.ORDER_too_late = gameforge.locale.stamina_food.order_too_late
locale.stamina_food.ACCEPT_success_say = locale.NOTICE_COLOR .. gameforge.locale.stamina_food.accept_success_say_1 .. locale.NORMAL_COLOR .. gameforge.locale.stamina_food.accept_success_say_2
locale.stamina_food.ACCEPT_failure_say = locale.NOTICE_COLOR .. gameforge.locale.stamina_food.accept_failure_say_1 .. locale.NORMAL_COLOR .. gameforge.locale.stamina_food.accept_failure_say_2
locale.stamina_food.ACCEPT_ask = gameforge.locale.stamina_food.accept_ask
locale.stamina_food.ACCEPT_success_info_label = gameforge.locale.stamina_food.accept_success_info_label
locale.stamina_food.ACCEPT_success_info_text = locale.NOTICE_COLOR .. gameforge.locale.stamina_food.accept_success_info_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.stamina_food.accept_success_info_text_2
locale.stamina_food.BAEKGO_ACCEPT_failure_info_label = gameforge.locale.stamina_food.baekgo_accept_failure_info_label
locale.stamina_food.BAEKGO_ACCEPT_failure_info_text = locale.NOTICE_COLOR .. gameforge.locale.stamina_food.baekgo_accept_failure_info_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.stamina_food.baekgo_accept_failure_info_text_2
locale.stamina_food.SUCCESS_say = gameforge.locale.stamina_food.success_say
locale.stamina_food.COMPLETE_say = gameforge.locale.stamina_food.complete_say

locale.skeleton_gem = {}
locale.skeleton_gem.start_probability = 3
locale.skeleton_gem.start_level_begin = 55
locale.skeleton_gem.start_level_end = 57
locale.skeleton_gem.end_level = 60
locale.skeleton_gem.kill_count = 3
locale.skeleton_gem.talk_about_skeleton_gem = gameforge.locale.skeleton_gem.talk_about_skeleton_gem
locale.skeleton_gem.i_dont_have_the_skeleton_gem_yet = gameforge.locale.skeleton_gem.i_dont_have_the_skeleton_gem_yet
locale.skeleton_gem.i_have_the_skeleton_gem = gameforge.locale.skeleton_gem.i_have_the_skeleton_gem
locale.skeleton_gem.START_say = gameforge.locale.skeleton_gem.start_say
locale.skeleton_gem.START_find_peddler_label = gameforge.locale.skeleton_gem.start_find_peddler_label
locale.skeleton_gem.START_find_peddler_text = locale.NOTICE_COLOR .. gameforge.locale.skeleton_gem.start_find_peddler_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.skeleton_gem.start_find_peddler_text_2
locale.skeleton_gem.ORDER_say = gameforge.locale.skeleton_gem.order_say
locale.skeleton_gem.ORDER_say2 = gameforge.locale.skeleton_gem.order_say2
locale.skeleton_gem.ORDER_accept = gameforge.locale.skeleton_gem.order_accept
locale.skeleton_gem.ORDER_refuse = gameforge.locale.skeleton_gem.order_refuse
locale.skeleton_gem.ORDER_accept_answer = gameforge.locale.skeleton_gem.order_accept_answer
locale.skeleton_gem.ORDER_refuse_answer = gameforge.locale.skeleton_gem.order_refuse_answer
locale.skeleton_gem.ORDER_get_skeleton_gem_ = gameforge.locale.skeleton_gem.order_get_skeleton_gem_
locale.skeleton_gem.ORDER_get_skeleton_gem_text = locale.NOTICE_COLOR .. gameforge.locale.skeleton_gem.order_get_skeleton_gem_text
locale.skeleton_gem.ORDER_too_late = gameforge.locale.skeleton_gem.order_too_late
locale.skeleton_gem.ACCEPT_success_say = locale.NOTICE_COLOR .. gameforge.locale.skeleton_gem.accept_success_say_1 .. locale.NORMAL_COLOR .. gameforge.locale.skeleton_gem.accept_success_say_2
locale.skeleton_gem.ACCEPT_failure_say = locale.NOTICE_COLOR .. gameforge.locale.skeleton_gem.accept_failure_say_1 .. locale.NORMAL_COLOR .. gameforge.locale.skeleton_gem.accept_failure_say_2
locale.skeleton_gem.ACCEPT_ask = gameforge.locale.skeleton_gem.accept_ask
locale.skeleton_gem.ACCEPT_success_info_label = gameforge.locale.skeleton_gem.accept_success_info_label
locale.skeleton_gem.ACCEPT_success_info_text = locale.NOTICE_COLOR .. gameforge.locale.skeleton_gem.accept_success_info_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.skeleton_gem.accept_success_info_text_2
locale.skeleton_gem.ACCEPT_failure_info_label = gameforge.locale.skeleton_gem.accept_failure_info_label
locale.skeleton_gem.ACCEPT_failure_info_text = locale.NOTICE_COLOR .. gameforge.locale.skeleton_gem.accept_failure_info_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.skeleton_gem.accept_failure_info_text_2
locale.skeleton_gem.SUCCESS_say = gameforge.locale.skeleton_gem.success_say

locale.ariyeong = {}
locale.ariyeong.start_probability = 3
locale.ariyeong.start_level_begin = 25
locale.ariyeong.start_level_end = 27
locale.ariyeong.end_level = 30
locale.ariyeong.kill_count = 2
locale.ariyeong.event_item = 30101
locale.ariyeong.find_ariyeong_label = gameforge.locale.ariyeong.find_ariyeong_label
locale.ariyeong.find_ariyeong_text = locale.NOTICE_COLOR .. gameforge.locale.ariyeong.find_ariyeong_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.ariyeong.find_ariyeong_text_2
locale.ariyeong.kill_label = gameforge.locale.ariyeong.kill_label
locale.ariyeong.kill_text = locale.NOTICE_COLOR .. gameforge.locale.ariyeong.kill_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.ariyeong.kill_text_2
locale.ariyeong.too_late = gameforge.locale.ariyeong.too_late
locale.ariyeong.success_info_label = gameforge.locale.ariyeong.success_info_label
locale.ariyeong.success_info_text = locale.NOTICE_COLOR .. gameforge.locale.ariyeong.success_info_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.ariyeong.success_info_text_2
locale.ariyeong.failure_info_label = gameforge.locale.ariyeong.failure_info_label
locale.ariyeong.failure_info_text = locale.NOTICE_COLOR .. gameforge.locale.ariyeong.failure_info_text_1 .. locale.NORMAL_COLOR .. gameforge.locale.ariyeong.failure_info_text_2

locale.levelup = {}
locale.levelup.choice1 = gameforge.locale.levelup.choice1
locale.levelup.choice2 = gameforge.locale.levelup.choice2
locale.levelup.slay_them1 = gameforge.locale.levelup.slay_them1
locale.levelup.slay_them2 = gameforge.locale.levelup.slay_them2
locale.levelup.slay_target_is = gameforge.locale.levelup.slay_target_is 
locale.levelup.slay_target_count = gameforge.locale.levelup.slay_target_count
locale.levelup.slayed_them = gameforge.locale.levelup.slayed_them
locale.levelup.remain_count = gameforge.locale.levelup.remain_count
locale.levelup.cause_of_levelup = gameforge.locale.levelup.cause_of_levelup
locale.levelup.receive_direct = gameforge.locale.levelup.receive_direct
locale.levelup.levelup_quest_fail = gameforge.locale.levelup.levelup_quest_fail
locale.levelup.lets_go = gameforge.locale.levelup.lets_go
locale.levelup.kill_count = gameforge.locale.levelup.kill_count
locale.levelup.prev_quest1 = gameforge.locale.levelup.prev_quest1
locale.levelup.prev_quest2 = gameforge.locale.levelup.prev_quest2
locale.levelup.prev_quest_info = gameforge.locale.levelup.prev_quest_info
locale.levelup.prev_quest_go = gameforge.locale.levelup.prev_quest_go
locale.levelup.random_item = gameforge.locale.levelup.random_item

locale.stash = {}
locale.stash.buy_silver_and_gold_bar = gameforge.locale.stash.buy_silver_and_gold_bar
locale.stash.gold_bar_beginner_info = gameforge.locale.stash.gold_bar_beginner_info
locale.stash.enlarge_first1_cannot = gameforge.locale.stash.enlarge_first1_cannot
locale.stash.greet1 = gameforge.locale.stash.greet1
locale.stash.not_enough_money = gameforge.locale.stash.not_enough_money
locale.stash.pay_ok = gameforge.locale.stash.pay_ok
locale.stash.pay_no = gameforge.locale.stash.pay_no
locale.stash.first_open = gameforge.locale.stash.first_open
locale.stash.dont_open = gameforge.locale.stash.dont_open
locale.stash.greet2 = gameforge.locale.stash.greet2
locale.stash.beginner_info = gameforge.locale.stash.beginner_info
locale.stash.enlarge = gameforge.locale.stash.enlarge
locale.stash.nomatter = gameforge.locale.stash.nomatter
locale.stash.enlarge_first1 = gameforge.locale.stash.enlarge_first1
locale.stash.enlarge_item1 = 50
locale.stash.enlarge_item2 = 5030
locale.stash.enlarge_first2 = gameforge.locale.stash.enlarge_first2
locale.stash.enlarge_first3 = gameforge.locale.stash.enlarge_first3
locale.stash.enlarge_try_ok = gameforge.locale.stash.enlarge_try_ok
locale.stash.enlarge_try_no = gameforge.locale.stash.enlarge_try_no
locale.stash.enlarge_try_ok_answer = gameforge.locale.stash.enlarge_try_ok_answer
locale.stash.enlarge_1_title = gameforge.locale.stash.enlarge_1_title
locale.stash.enlarge_1_counter = gameforge.locale.stash.enlarge_1_counter
locale.stash.enlarge_1_item = gameforge.locale.stash.enlarge_1_item
locale.stash.enlarge_1_timer = gameforge.locale.stash.enlarge_1_timer
locale.stash.enlarge_no_need = gameforge.locale.stash.enlarge_no_need
locale.stash.greet3 = gameforge.locale.stash.greet3
locale.stash.enlarge_2_no_mark = gameforge.locale.stash.enlarge_2_no_mark
locale.stash.enlarge_2_again = gameforge.locale.stash.enlarge_2_again
locale.stash.enlarge_2_title = gameforge.locale.stash.enlarge_2_title
locale.stash.enlarge_2_item = 60002
locale.stash.enlarge_2_mark_item = 60003
locale.stash.enlarge_2_have_mark = c_item_name(locale.stash.enlarge_2_mark_item .. gameforge.locale.stash.enlarge_2_have_mark)
locale.stash.enlarge_2_no_mark2 = gameforge.locale.stash.enlarge_2_no_mark2
locale.stash.enlarge_2_have_mark2 = gameforge.locale.stash.enlarge_2_have_mark2
locale.stash.enlarge_2_have_mark3 = gameforge.locale.stash.enlarge_2_have_mark3
locale.stash.enlarge_2_msg1 = gameforge.locale.stash.enlarge_2_msg1
locale.stash.enlarge_2_msg2 = gameforge.locale.stash.enlarge_2_msg2
locale.stash.greet4 = gameforge.locale.stash.greet4
locale.stash.enlarge_3_msg1 = gameforge.locale.stash.enlarge_3_msg1
locale.stash.enlarge_3_title = gameforge.locale.stash.enlarge_3_title
locale.stash.enlarge_3_counter = gameforge.locale.stash.enlarge_3_counter
locale.stash.enlarge_3_timer = gameforge.locale.stash.enlarge_3_timer
locale.stash.enlarge_4_msg = gameforge.locale.stash.enlarge_4_msg
locale.stash.enlarge_2_recommendation = gameforge.locale.stash.enlarge_2_recommendation
locale.stash.enlarge_2_oldwoman_greet = gameforge.locale.stash.enlarge_2_oldwoman_greet
locale.stash.enlarge_2_oldwoman_reject = gameforge.locale.stash.enlarge_2_oldwoman_reject
locale.stash.enlarge_2_oldwoman_title1 = gameforge.locale.stash.enlarge_2_oldwoman_title1
locale.stash.enlarge_2_oldwoman_title2 = gameforge.locale.stash.enlarge_2_oldwoman_title2
locale.stash.enlarge_2_oldwoman_accept = gameforge.locale.stash.enlarge_2_oldwoman_accept
locale.stash.enlarge_1_info1 = gameforge.locale.stash.enlarge_1_info1
locale.stash.enlarge_1_info2 = gameforge.locale.stash.enlarge_1_info2
locale.stash.enlarge_1_take_bear = gameforge.locale.stash.enlarge_1_take_bear
locale.stash.enlarge_1_success = gameforge.locale.stash.enlarge_1_success
locale.stash.enlarge_1_notyet = gameforge.locale.stash.enlarge_1_notyet
locale.stash.enlarge_1_getone = gameforge.locale.stash.enlarge_1_getone
locale.stash.enlarge_1_complete = gameforge.locale.stash.enlarge_1_complete
locale.stash.enlarge_1_fail_info = gameforge.locale.stash.enlarge_1_fail_info
locale.stash.enlarge_1_fail_msg = gameforge.locale.stash.enlarge_1_fail_msg
locale.stash.enlarge_3_complete = gameforge.locale.stash.enlarge_3_complete
locale.stash.enlarge_3_success = gameforge.locale.stash.enlarge_3_success
locale.stash.enlarge_3_notyet = gameforge.locale.stash.enlarge_3_notyet
locale.stash.open_mall = gameforge.locale.stash.open_mall

locale.guild = {}
locale.guild.guild_master_greet = gameforge.locale.guild.guild_master_greet
locale.guild.disband = gameforge.locale.guild.disband
locale.guild.cancel = gameforge.locale.guild.cancel
locale.guild.yes = gameforge.locale.guild.yes
locale.guild.no = gameforge.locale.guild.no
locale.guild.disband_confirm = gameforge.locale.guild.disband_confirm
locale.guild.disband_msg = gameforge.locale.guild.disband_msg
locale.guild.guild_member_greet = gameforge.locale.guild.guild_member_greet
locale.guild.withdraw = gameforge.locale.guild.withdraw
locale.guild.withdraw_confirm = gameforge.locale.guild.withdraw_confirm
locale.guild.withdraw_msg = gameforge.locale.guild.withdraw_msg
locale.guild.noguild_greet = gameforge.locale.guild.noguild_greet
locale.guild.create = gameforge.locale.guild.create
locale.guild.create_confirm = gameforge.locale.guild.create_confirm
locale.guild.create_not_enough_money = gameforge.locale.guild.create_not_enough_money
locale.guild.not_enough_leadership = gameforge.locale.guild.not_enough_leadership
locale.guild.no_guild_create_item = gameforge.locale.guild.no_guild_create_item
locale.guild.create_confirm_for_china = gameforge.locale.guild.create_confirm_for_china
locale.guild.cannot_create_guild_withdraw_delay = gameforge.locale.guild.cannot_create_guild_withdraw_delay
locale.guild.cannot_create_guild_disband_delay = gameforge.locale.guild.cannot_create_guild_disband_delay
locale.guild.war_entry_ask_head = gameforge.locale.guild.war_entry_ask_head
locale.guild.war_entry_ask_tail = gameforge.locale.guild.war_entry_ask_tail
locale.guild.war_list_button = gameforge.locale.guild.war_list_button
locale.guild.war_list_none = gameforge.locale.guild.war_list_none
locale.guild.war_list_choose = gameforge.locale.guild.war_list_choose
locale.guild.war_join_request = gameforge.locale.guild.war_join_request
locale.guild.war_over = gameforge.locale.guild.war_over
locale.guild.war_bet_list_button = gameforge.locale.guild.war_bet_list_button
locale.guild.war_bet_info = gameforge.locale.guild.war_bet_info
locale.guild.war_bet_no_money = gameforge.locale.guild.war_bet_no_money
locale.guild.war_bet_price = gameforge.locale.guild.war_bet_price
locale.guild.war_bet_done = gameforge.locale.guild.war_bet_done
locale.guild.war_bet_list_none = gameforge.locale.guild.war_bet_list_none
locale.guild.war_bet_list_choose = gameforge.locale.guild.war_bet_list_choose
locale.guild.war_bet_already = gameforge.locale.guild.war_bet_already
locale.guild.war_bet_assume1 = gameforge.locale.guild.war_bet_assume1
locale.guild.war_bet_assume2 = gameforge.locale.guild.war_bet_assume2
locale.guild.war_bet_assume3 = gameforge.locale.guild.war_bet_assume3

locale.oldwoman = {}
locale.oldwoman.no_matter = gameforge.locale.oldwoman.no_matter
locale.oldwoman.skill_reset1 = gameforge.locale.oldwoman.skill_reset1
locale.oldwoman.skill_reset2 = gameforge.locale.oldwoman.skill_reset2
locale.oldwoman.skill_reset_ok = gameforge.locale.oldwoman.skill_reset_ok
locale.oldwoman.skill_reset_no = gameforge.locale.oldwoman.skill_reset_no
locale.oldwoman.not_enough_money = gameforge.locale.oldwoman.not_enough_money
 
locale.skill_group = {}
locale.skill_group.lets_join_skill_group = {
	gameforge.locale.skill_group.lets_join_skill_group_1,
	gameforge.locale.skill_group.lets_join_skill_group_2,
	gameforge.locale.skill_group.lets_join_skill_group_3,
	gameforge.locale.skill_group.lets_join_skill_group_4
}
locale.skill_group.invite = gameforge.locale.skill_group.invite
locale.skill_group.board = gameforge.locale.skill_group.board
locale.skill_group.dialog = {{
	[WARRIOR] = {
		{
			gameforge.locale.skill_group.dialog_warrior_1,
			gameforge.locale.skill_group.dialog_warrior_2,
		},
		{
			gameforge.locale.skill_group.dialog_warrior_3,
			gameforge.locale.skill_group.dialog_warrior_4,
		},
		gameforge.locale.skill_group.dialog_warrior_5,
	},
	[ASSASSIN] = {
		{
			gameforge.locale.skill_group.dialog_assassin_1,
			gameforge.locale.skill_group.dialog_assassin_2,
		},
		{
			gameforge.locale.skill_group.dialog_assassin_3,
			gameforge.locale.skill_group.dialog_assassin_4,
		},
		gameforge.locale.skill_group.dialog_assassin_5,
	},
	[SURA] = {
		{
			gameforge.locale.skill_group.dialog_sura_1,
			gameforge.locale.skill_group.dialog_sura_2,
		},
		{
			gameforge.locale.skill_group.dialog_sura_3,
			gameforge.locale.skill_group.dialog_sura_4,
		},
		gameforge.locale.skill_group.dialog_sura_5,
	},
	[SHAMAN] = {
		{
			gameforge.locale.skill_group.dialog_shaman_1,
			gameforge.locale.skill_group.dialog_shaman_2,
		},
		{
			gameforge.locale.skill_group.dialog_shaman_3,
			gameforge.locale.skill_group.dialog_shaman_4,
		},
		gameforge.locale.skill_group.dialog_shaman_5,
	}
}}

locale.neutral_warp = {}
locale.neutral_warp.greet = gameforge.locale.neutral_warp.greet
locale.neutral_warp.go = gameforge.locale.neutral_warp.go
locale.neutral_warp.not_go = gameforge.locale.neutral_warp.not_go
locale.neutral_warp.where_to_go = gameforge.locale.neutral_warp.where_to_go
locale.neutral_warp.money_need1 = gameforge.locale.neutral_warp.money_need1
locale.neutral_warp.money_need2 = gameforge.locale.neutral_warp.money_need2
locale.neutral_warp.cannot_go_yet = gameforge.locale.neutral_warp.cannot_go_yet

locale.blacksmith = {}
locale.blacksmith.refine_info = gameforge.locale.blacksmith.refine_info

locale.monster_chat = {
	[301] = {
		"[3121]",
		"[3122]",
		"[3123]",
		"[3124]",
		"[3125]"
	},
	[302] = {
		"[3126]",
		"[3127]",
		"[3128]",
		"[3129]",
		"[3130]",
		"[3131]"
	},
	[303] = {
		"[3132]",
		"[3133]",
		"[3134]",
		"[3135]",
		"[3136]",
		"[3137]"
	},
	[304] = {
		"[3138]",
		"[3139]",
		"[3140]",
		"[3141]",
		"[3142]",
		"[3143]"
	},
	[305] = {
		"[3144]",
		"[3145]",
		"[3146]",
		"[3147]",
		"[3148]",
		"[3149]"
	},
	[306] = {
		"[3150]",
		"[3151]",
		"[3152]",
		"[3153]",
		"[3154]",
		"[3155]"
	},
	[307] = {
		"[3156]",
		"[3157]",
		"[3158]",
		"[3159]",
		"[3160]",
		"[3161]"
	},
	[394] = {
		"[3162]",
		"[3163]",
		"[3164]",
		"[3165]",
		"[3166]",
		"[3167]"
	},
	[401] = {
		"[3168]",
		"[3169]",
		"[3170]",
		"[3171]",
		"[3172]",
		"[3173]"
	},
	[402] = {
		"[3174]",
		"[3175]",
		"[3176]",
		"[3177]",
		"[3178]",
		"[3179]"
	},
	[403] = {
		"[3180]",
		"[3181]",
		"[3182]",
		"[3183]",
		"[3184]",
		"[3185]"
	},
	[404] = {
		"[3186]",
		"[3187]",
		"[3188]",
		"[3189]",
		"[3190]",
		"[3191]"
	},
	[405] = {
		"[3192]",
		"[3193]",
		"[3019]",
		"[3195]",
		"[3196]",
		"[3196]"
	},
	[406] = {
		"[3198]",
		"[3199]",
		"[3200]",
		"[3201]",
		"[3202]",
		"[3203]"
	},
	[491] = {
		"[3204]",
		"[3205]",
		"[3206]",
		"[3207]",
		"[3208]",
		"[3209]"
	},
	[492] = {
		"[3210]",
		"[3211]",
		"[3212]",
		"[3213]",
		"[3214]",
		"[3215]"
	},
	[493] = {
		"[3216]",
		"[3217]",
		"[3218]",
		"[3219]",
		"[3220]",
		"[3221]"
	},
	[494] = {
		"[3222]",
		"[3223]",
		"[3224]",
		"[3225]",
		"[3226]",
		"[3227]"
	},
	[501] = {
		"[3228]",
		"[3229]",
		"[3230]",
		"[3231]",
		"[3232]",
		"[3233]"
	},
	[502] = {
		"[3234]",
		"[3235]",
		"[3236]",
		"[3237]",
		"[11785]",
		"[3239]"
	},
	[503] = {
		"[3240]",
		"[3241]",
		"[3242]",
		"[3243]",
		"[3244]",
		"[3185]"
	},
	[504] = {
		"[3246]",
		"[3247]",
		"[3248]",
		"[11785]",
		"[3250]",
		"[3251]"
	},
	[601] = {
		"[3252]",
		"[3253]",
		"[3254]",
		"[3255]",
		"[3256]",
		"[3257]"
	},
	[601] = {
		"[3258]",
		"[3259]",
		"[2878]",
		"[3261]",
		"[3262]",
		"[3263]",
		"[3264]"
	},
	[603] = {
		"[3265]",
		"[3266]",
		"[3267]",
		"[3268]",
		"[3269]",
		"[3270]"
	},
	[604] = {
		"[3271]",
		"[3272]",
		"[3273]",
		"[3274]",
		"[3275]",
		"[3276]"
	},
	[631] = {
		"[3277]",
		"[3278]",
		"[3279]",
		"[3280]",
		"[3281]",
		"[3282]"
	},
	[632] = {
		"[3283]",
		"[3284]",
		"[3285]",
		"[3286]",
		"[11785]",
		"[3288]"
	},
	[633] = {
		"[3289]",
		"[3290]",
		"[3291]",
		"[3292]",
		"[3293]",
		"[3294]"
	},
	[634] = {
		"[3295]",
		"[3296]",
		"[3297]",
		"[3298]",
		"[3299]",
		"[3300]"
	},
	[635] = {
		"[3301]",
		"[3302]",
		"[3303]",
		"[3304]",
		"[3305]",
		"[3306]"
	},
	[636] = {
		"[3307]",
		"[3308]",
		"[3309]",
		"[3310]",
		"[3311]",
		"[3312]"
	},
	[636] = {
		"[3313]",
		"[3314]",
		"[3315]",
		"[3316]",
		"[3317]",
		"[3318]",
		"[3319]"
	},
	[691] = {
		"[3320]",
		"[3321]",
		"[3322]",
		"[3323]",
		"[3324]",
		"[3325]"
	},
	[701] = {
		"[3326]",
		"[3327]",
		"[3328]",
		"[3329]",
		"[3330]",
		"[3331]"
	},
	[702] = {
		"[3332]",
		"[3333]",
		"[3334]",
		"[3335]",
		"[11785]",
		"[3337]"
	},
	[703] = {
		"[3338]",
		"[3332]",
		"[3340]",
		"[3341]",
		"[3342]",
		"[3343]"
	},
	[704] = {
		"[3332]",
		"[3345]",
		"[3346]",
		"[3347]",
		"[3348]",
		"[3349]"
	},
	[705] = {
		"[3345]",
		"[3332]",
		"[3352]",
		"[3353]",
		"[11785]",
		"[3355]"
	},
	[706] = {
		"[3356]",
		"[3357]",
		"[3358]",
		"[3359]",
		"[3360]",
		"[3361]"
	},
	[707] = {
		"[3362]",
		"[3332]",
		"[3345]",
		"[3365]",
		"[3366]",
		"[3367]"
	},
	[791] = {
		"[3368]",
		"[3369]",
		"[3370]",
		"[3371]",
		"[3372]",
		"[3373]"
	},
	[901] = {
		"[3374]",
		"[3375]",
		"[3376]",
		"[3377]",
		"[3378]"
	},
	[903] = {
		"[2747]",
		"[3380]",
		"[3381]",
		"[3382]",
		"[3383]",
		"[3384]"
	},
	[904] = {
		"[3385]",
		"[3386]",
		"[3387]",
		"[3388]",
		"[11785]",
		"[3390]"
	},
	[905] = {
		"[3380]",
		"[3392]",
		"[3393]",
		"[3394]",
		"[3395]",
		"[3396]"
	},
	[906] = {
		"[3397]",
		"[3398]",
		"[2714]",
		"[3400]",
		"[3401]",
		"[3209]"
	},
	[907] = {
		"[3403]",
		"[3404]",
		"[3405]",
		"[3406]",
		"[3407]",
		"[3408]"
	},
	[1001] = {
		"[2706]",
		"[2707]",
		"[2708]",
		"[2709]",
		"[2710]",
		"[2711]"
	},
	[1002] = {
		"[2712]",
		"[2713]",
		"[2714]",
		"[11785]",
		"[2716]"
	},
	[1003] = {
		"[2717]",
		"[2718]",
		"[2719]",
		"[2720]",
		"[2721]",
		"[2722]"
	},
	[1004] = {
		"[2723]",
		"[2724]",
		"[2725]",
		"[2726]",
		"[2727]",
		"[2728]"
	},
	[1035] = {
		"[2729]",
		"[2730]",
		"[2731]",
		"[2732]",
		"[2733]",
		"[2734]"
	},
	[1036] = {
		"[2735]",
		"[2736]",
		"[2737]",
		"[2738]",
		"[11785]",
		"[2740]"
	},
	[1037] = {
		"[2741]",
		"[2742]",
		"[2743]",
		"[2744]",
		"[2745]",
		"[2746]"
	},
	[1038] = {
		"[2747]",
		"[2748]",
		"[2749]",
		"[2750]",
		"[11785]",
		"[2752]"
	},
	[1039] = {
		"[2753]",
		"[2754]",
		"[2755]",
		"[2756]",
		"[2757]",
		"[2758]"
	},
	[1040] = {
		"[2759]",
		"[2760]",
		"[2761]",
		"[2762]",
		"[2763]",
		"[2764]"
	},
	[1041] = {
		"[2765]",
		"[2766]",
		"[2767]",
		"[2768]",
		"[2769]",
		"[2770]"
	},
	[1091] = {
		"[2771]",
		"[2772]",
		"[2773]",
		"[2774]",
		"[2775]",
		"[2776]"
	},
	[1093] = {
		"[2777]",
		"[2778]",
		"[2779]",
		"[2780]",
		"[2781]",
		"[2782]"
	},
	[1105] = {
		"[2876]",
		"[2877]",
		"[2878]",
		"[2879]",
		"[2880]",
		"[2881]"
	},
	[1106] = {
		"[2882]",
		"[2883]",
		"[2884]",
		"[2885]",
		"[2886]",
		"[2887]"
	},
	[1191] = {
		"[2888]",
		"[2889]",
		"[2890]",
		"[11785]",
		"[2892]",
		"[2893]"
	},
	[1301] = {
		"[2894]",
		"[2895]",
		"[2896]",
		"[2897]",
		"[2898]",
		"[2899]"
	},
	[1302] = {
		"[2900]",
		"[2901]",
		"[2902]",
		"[2903]",
		"[2904]",
		"[2905]"
	},
	[1303] = {
		"[2906]",
		"[2907]",
		"[2908]",
		"[2909]",
		"[2910]",
		"[2911]"
	},
	[1305] = {
		"[2912]",
		"[2913]",
		"[2914]",
		"[2915]",
		"[2916]",
		"[2917]"
	},
	[1901] = {
		"[2918]",
		"[2919]",
		"[2920]",
		"[2921]",
		"[2922]",
		"[2923]"
	},
	[2091] = {
		"[3044]",
		"[3045]",
		"[3046]",
		"[3047]",
		"[11785]",
		"[3049]"
	},
	[2092] = {
		"[3050]",
		"[3051]",
		"[3052]",
		"[3053]",
		"[3054]",
		"[3055]"
	},
	[2104] = {
		"[3056]",
		"[3057]",
		"[3058]",
		"[3059]",
		"[3060]",
		"[3061]"
	},
	[2105] = {
		"[3062]",
		"[3063]",
		"[3064]",
		"[11785]",
		"[3066]"
	},
	[2106] = {
		"[3067]",
		"[3068]",
		"[3069]",
		"[3070]",
		"[11785]",
		"[3072]"
	},
	[2107] = {
		"[3073]",
		"[3074]",
		"[3075]",
		"[11785]",
		"[3077]",
		"[3078]"
	},
	[2108] = {
		"[3079]",
		"[3080]",
		"[3081]",
		"[3082]",
		"[3083]",
		"[3084]"
	},
	[2191] = {
		"[3085]",
		"[3086]",
		"[11785]",
		"[3088]",
		"[3089]",
		"[3090]"
	},
	[2202] = {
		"[3091]",
		"[3092]",
		"[3093]",
		"[3094]",
		"[3095]",
		"[3096]"
	},
	[2204] = {
		"[3097]",
		"[3098]",
		"[11785]",
		"[3100]",
		"[11785]",
		"[3102]"
	},
	[2205] = {
		"[3103]",
		"[3104]",
		"[3105]",
		"[3106]",
		"[3107]",
		"[3108]"
	},
	[2206] = {
		"[3109]",
		"[3110]",
		"[3111]",
		"[3112]",
		"[3113]",
		"[3114]"
	},
	[2291] = {
		"[3115]",
		"[3116]",
		"[3117]",
		"[3118]",
		"[3119]",
		"[3120]"
	},
	[20001] = {
		"[2924]",
		"[2925]",
		"[2926]",
		"[2927]",
		"[2928]"
	},
	[20002] = {
		"[2929]",
		"[2930]",
		"[2931]",
		"[2932]",
		"[2933]"
	},
	[20003] = {
		"[2934]",
		"[2935]",
		"[2936]",
		"[2937]",
		"[2938]"
	},
	[20004] = {
		"[2939]",
		"[2940]",
		"[2941]",
		"[2942]",
		"[2943]"
	},
	[20005] = {
		"[2944]",
		"[2945]",
		"[2946]",
		"[2947]",
		"[2948]"
	},
	[20006] = {
		"[2949]",
		"[2950]",
		"[2951]",
		"[2952]",
		"[2953]"
	},
	[20007] = {
		"[2954]",
		"[2955]",
		"[2956]",
		"[2957]",
		"[2958]"
	},
	[20008] = {
		"[2959]",
		"[2960]",
		"[2961]",
		"[2962]",
		"[2963]"
	},
	[20009] = {
		"[2964]",
		"[2965]",
		"[2966]",
		"[2967]",
		"[2968]"
	},
	[20010] = {
		"[2969]",
		"[2970]",
		"[2971]",
		"[2972]",
		"[2973]"
	},
	[20011] = {
		"[2974]",
		"[2975]",
		"[2976]",
		"[2977]",
		"[2978]"
	},
	[20012] = {
		"[2979]",
		"[2980]",
		"[2981]",
		"[2982]",
		"[2983]"
	},
	[20013] = {
		"[2984]",
		"[2985]",
		"[2986]",
		"[2987]",
		"[2988]"
	},
	[20014] = {
		"[2989]",
		"[2990]",
		"[2991]",
		"[2992]",
		"[2993]"
	},
	[20015] = {
		"[2994]",
		"[2995]",
		"[2996]",
		"[2997]",
		"[2998]"
	},
	[20016] = {
		"[2999]",
		"[3000]",
		"[3001]",
		"[3002]",
		"[3003]"
	},
	[20017] = {
		"[3004]",
		"[3005]",
		"[3006]",
		"[3007]",
		"[3008]"
	},
	[20018] = {
		"[3009]",
		"[3010]",
		"[3011]",
		"[3012]",
		"[3013]"
	},
	[20019] = {
		"[3014]",
		"[3015]",
		"[3016]",
		"[3017]",
		"[3018]"
	},
	[20020] = {
		"[3019]",
		"[3020]",
		"[3021]",
		"[3022]",
		"[3023]"
	},
	[20021] = {
		"[3024]",
		"[3025]",
		"[3026]",
		"[3027]",
		"[3028]"
	},
	[20022] = {
		"[3029]",
		"[3030]",
		"[3031]",
		"[3032]",
		"[3033]"
	},
	[20023] = {
		"[3034]",
		"[3035]",
		"[3036]",
		"[3037]",
		"[3038]"
	},
	[20024] = {
		"[3039]",
		"[3040]",
		"[3041]",
		"[3042]",
		"[3043]"
	},
	[11000] = {
		"[2783]",
		"[2794]",
		"[2805]",
		"[2808]",
		"[2809]",
		"[2810]",
		"[2811]",
		"[2812]",
		"[2813]",
		"[2784]",
		"[2785]",
		"[2786]",
		"[2787]",
		"[2788]",
		"[2789]",
		"[2790]",
		"[2791]",
		"[2792]",
		"[2793]",
		"[2795]",
		"[2796]",
		"[2797]",
		"[2798]",
		"[2799]",
		"[2800]",
		"[2801]",
		"[2802]",
		"[2803]",
		"[2804]",
		"[2806]",
		"[2807]"
	},
	[11002] = {
		"[2814]",
		"[2794]",
		"[2805]",
		"[2839]",
		"[2809]",
		"[2810]",
		"[2811]",
		"[2812]",
		"[2844]",
		"[2815]",
		"[2785]",
		"[2786]",
		"[2818]",
		"[2819]",
		"[2820]",
		"[2790]",
		"[2791]",
		"[2792]",
		"[2793]",
		"[2795]",
		"[2796]",
		"[2797]",
		"[2798]",
		"[2799]",
		"[2800]",
		"[2801]",
		"[2802]",
		"[2803]",
		"[2804]",
		"[2806]",
		"[2807]"
	},
	[11004] = {
		"[2814]",
		"[2794]",
		"[2805]",
		"[2870]",
		"[2809]",
		"[2810]",
		"[2811]",
		"[2812]",
		"[2813]",
		"[2846]",
		"[2785]",
		"[2786]",
		"[2849]",
		"[2850]",
		"[2820]",
		"[2852]",
		"[2791]",
		"[2792]",
		"[2793]",
		"[2795]",
		"[2796]",
		"[2797]",
		"[2798]",
		"[2799]",
		"[2800]",
		"[2801]",
		"[2802]",
		"[2803]",
		"[2804]",
		"[2806]",
		"[2807]"
	},
}

special.questscroll = {
	{ 
		QUEST_SCROLL_TYPE_KILL_MOB, 
		gameforge.locale.questscroll_1_text,
		gameforge.locale.questscroll_1_mis,
		gameforge.locale.questscroll_1_hunt,
		25,
	},
	{ 
		QUEST_SCROLL_TYPE_KILL_MOB, 
		gameforge.locale.questscroll_2_text,
		gameforge.locale.questscroll_2_mis,
		gameforge.locale.questscroll_2_hunt,
		20,
	},
	{ 
		QUEST_SCROLL_TYPE_KILL_MOB, 
		gameforge.locale.questscroll_3_text,
		gameforge.locale.questscroll_3_mis,
		gameforge.locale.questscroll_3_hunt,
		1,
	},
	{ 
		QUEST_SCROLL_TYPE_KILL_MOB, 
		gameforge.locale.questscroll_4_text,
		gameforge.locale.questscroll_4_mis,
		gameforge.locale.questscroll_4_hunt,
		1,
	},
	{ 
		QUEST_SCROLL_TYPE_KILL_MOB, 
		gameforge.locale.questscroll_5_text,
		gameforge.locale.questscroll_5_mis,
		gameforge.locale.questscroll_5_hunt,
		1,
	},
	{ 
		QUEST_SCROLL_TYPE_KILL_MOB, 
		gameforge.locale.questscroll_6_text,
		gameforge.locale.questscroll_6_mis,
		gameforge.locale.questscroll_6_hunt,
		1,
	},
	{ 
		QUEST_SCROLL_TYPE_KILL_MOB, 
		gameforge.locale.questscroll_7_text,
		gameforge.locale.questscroll_7_mis,
		gameforge.locale.questscroll_7_hunt,
		20,
	},
	{ 
		QUEST_SCROLL_TYPE_KILL_MOB, 
		gameforge.locale.questscroll_8_text,
		gameforge.locale.questscroll_8_mis,
		gameforge.locale.questscroll_8_hunt,
		20,
	},
	{ 
		QUEST_SCROLL_TYPE_KILL_MOB, 
		gameforge.locale.questscroll_9_text,
		gameforge.locale.questscroll_9_mis,
		gameforge.locale.questscroll_9_hunt,
		25,
	},
	{ 
		QUEST_SCROLL_TYPE_KILL_MOB, 
		gameforge.locale.questscroll_10_text,
		gameforge.locale.questscroll_10_mis,
		gameforge.locale.questscroll_10_hunt,
		20,
	},
	{ 
		QUEST_SCROLL_TYPE_KILL_MOB, 
		gameforge.locale.questscroll_11_text,
		gameforge.locale.questscroll_11_mis,
		gameforge.locale.questscroll_11_hunt,
		20,
	},
	{ 
		QUEST_SCROLL_TYPE_KILL_MOB, 
		gameforge.locale.questscroll_12_text,
		gameforge.locale.questscroll_12_mis,
		gameforge.locale.questscroll_12_hunt,
		12,
	},
	{ 
		QUEST_SCROLL_TYPE_KILL_MOB, 
		gameforge.locale.questscroll_13_text,
		gameforge.locale.questscroll_13_mis,
		gameforge.locale.questscroll_13_hunt,
		20,
	},
	{ 
		QUEST_SCROLL_TYPE_KILL_MOB, 
		gameforge.locale.questscroll_14_text,
		gameforge.locale.questscroll_14_mis,
		gameforge.locale.questscroll_14_hunt,
		20,
	},
	{ 
		QUEST_SCROLL_TYPE_KILL_MOB, 
		gameforge.locale.questscroll_15_text,
		gameforge.locale.questscroll_15_mis,
		gameforge.locale.questscroll_15_hunt,
		13,
	},
	{ 
		QUEST_SCROLL_TYPE_KILL_MOB, 
		gameforge.locale.questscroll_16_text,
		gameforge.locale.questscroll_16_mis,
		gameforge.locale.questscroll_16_hunt,
		25,
	},
	{ 
		QUEST_SCROLL_TYPE_KILL_MOB, 
		gameforge.locale.questscroll_17_text,
		gameforge.locale.questscroll_17_mis,
		gameforge.locale.questscroll_17_hunt,
		20,
	},
	{ 
		QUEST_SCROLL_TYPE_KILL_MOB, 
		gameforge.locale.questscroll_18_text,
		gameforge.locale.questscroll_18_mis,
		gameforge.locale.questscroll_18_hunt,
		25,
	},
	{ 
		QUEST_SCROLL_TYPE_KILL_MOB, 
		gameforge.locale.questscroll_19_text,
		gameforge.locale.questscroll_19_mis,
		gameforge.locale.questscroll_19_hunt,
		25,
	},	
	{ 
		QUEST_SCROLL_TYPE_KILL_ANOTHER_EMPIRE, 
		gameforge.locale.questscroll_20_text,
		gameforge.locale.questscroll_20_mis,
		gameforge.locale.questscroll_20_hunt,
		4,
	},
}

locale.questscroll = {}
locale.questscroll.exist = gameforge.locale.questscroll.exist
locale.questscroll.finish = gameforge.locale.questscroll.finish
locale.questscroll.finish_button = gameforge.locale.questscroll.finish_button

locale.remove_polymorph_chat = gameforge.locale.remove_polymorph_chat
locale.remove_polymorph_msg = gameforge.locale.remove_polymorph_msg

locale.fortune_words = {
	{
		gameforge.locale.fortune_words_1_title,
		gameforge.locale.fortune_words_1_body
	},
	{
		gameforge.locale.fortune_words_2_title,
		gameforge.locale.fortune_words_2_body
	},
	{
		gameforge.locale.fortune_words_3_title,
		gameforge.locale.fortune_words_3_body
	},
	{
		gameforge.locale.fortune_words_4_title,
		gameforge.locale.fortune_words_4_body
	},
	{
		gameforge.locale.fortune_words_5_title,
		gameforge.locale.fortune_words_5_body
	},
	{
		gameforge.locale.fortune_words_6_title,
		gameforge.locale.fortune_words_6_body
	},
	{
		gameforge.locale.fortune_words_7_title,
		gameforge.locale.fortune_words_7_body
	},
}

locale.christmas_tree = {}
locale.christmas_tree.greet = gameforge.locale.christmas_tree.greet
locale.christmas_tree.sel_put_sock = gameforge.locale.christmas_tree.sel_put_sock
locale.christmas_tree.sel_put_sock_not = gameforge.locale.christmas_tree.sel_put_sock_not
locale.christmas_tree.sel_no_need = gameforge.locale.christmas_tree.sel_no_need
locale.christmas_tree.sel_intro_event = gameforge.locale.christmas_tree.sel_intro_event
locale.christmas_tree.no_more_sock = gameforge.locale.christmas_tree.no_more_sock
locale.christmas_tree.gain_item_msg = gameforge.locale.christmas_tree.gain_item_msg
locale.christmas_tree.no_sock = gameforge.locale.christmas_tree.no_sock
locale.christmas_tree.not_sock_time = gameforge.locale.christmas_tree.not_sock_time
locale.christmas_tree.greet2 = gameforge.locale.christmas_tree.greet2
locale.christmas_tree.intro_msg = gameforge.locale.christmas_tree.intro_msg
locale.christmas_tree.under_level_10 = gameforge.locale.christmas_tree.under_level_10
locale.christmas_tree.christmas_say_title = gameforge.locale.christmas_tree.christmas_say_title

locale.christmas_santa = {}
locale.christmas_santa.intro_msg = gameforge.locale.christmas_santa.intro_msg
locale.christmas_santa.skill_book_buy_cost = 10000
locale.christmas_santa.skill_book_msg = gameforge.locale.christmas_santa.skill_book_msg
locale.christmas_santa.skill_book_sold_out_msg = gameforge.locale.christmas_santa.skill_book_sold_out_msg
locale.christmas_santa.hairdye_buy_cost = 10000
locale.christmas_santa.hairdye_msg = gameforge.locale.christmas_santa.hairdye_msg
locale.christmas_santa.hairdye_sold_out_msg = gameforge.locale.christmas_santa.hairdye_sold_out_msg
locale.christmas_santa.not_enough_money = gameforge.locale.christmas_santa.want_skillbook
locale.christmas_santa.want_skillbook = gameforge.locale.christmas_santa.want_skillbook
locale.christmas_santa.want_hairdye = gameforge.locale.christmas_santa.want_hairdye
locale.christmas_santa.no_need = gameforge.locale.christmas_santa.no_need
locale.christmas_santa.bye_msg = gameforge.locale.christmas_santa.bye_msg
locale.christmas_santa.select_buy = gameforge.locale.christmas_santa.select_buy
locale.christmas_santa.select_stop = gameforge.locale.christmas_santa.select_stop

locale.years_greetings = {}
locale.years_greetings.chat_greet = gameforge.locale.years_greetings.chat_greet
locale.years_greetings.greet_msg = gameforge.locale.years_greetings.greet_msg
locale.years_greetings.select_1 = gameforge.locale.years_greetings.select_1
locale.years_greetings.select_2 = gameforge.locale.years_greetings.select_2
locale.years_greetings.select_3 = gameforge.locale.years_greetings.select_3
locale.years_greetings.under_level_15 = gameforge.locale.years_greetings.under_level_15
locale.years_greetings.give_msg = gameforge.locale.years_greetings.give_msg
locale.years_greetings.not_enoguh_inventory = gameforge.locale.years_greetings.not_enoguh_inventory
locale.years_greetings.no_money_this_time = gameforge.locale.years_greetings.no_money_this_time
locale.years_greetings.bless_msg = gameforge.locale.years_greetings.bless_msg
locale.years_greetings.event_info = gameforge.locale.years_greetings.event_info 

locale.make_wonso = {}
locale.make_wonso.want_wonso1 = gameforge.locale.make_wonso.want_wonso1
locale.make_wonso.how_make = gameforge.locale.make_wonso.how_make
locale.make_wonso.how_make_detail = gameforge.locale.make_wonso.how_make_detail
locale.make_wonso.make_msg1 = gameforge.locale.make_wonso.make_msg1
locale.make_wonso.make_msg2 = gameforge.locale.make_wonso.make_msg2
locale.make_wonso.make_msg3 = gameforge.locale.make_wonso.make_msg3

locale.horse_menu = {}
locale.horse_menu.menu = gameforge.locale.horse_menu.menu
locale.horse_menu.show_state = gameforge.locale.horse_menu.show_state
locale.horse_menu.revive = gameforge.locale.horse_menu.revive
locale.horse_menu.feed = gameforge.locale.horse_menu.feed
locale.horse_menu.ride = gameforge.locale.horse_menu.ride
locale.horse_menu.unsummon = gameforge.locale.horse_menu.unsummon
locale.horse_menu.close = gameforge.locale.horse_menu.close

locale.monkey_dungeon = {}
locale.monkey_dungeon.button = gameforge.locale.monkey_dungeon.button
locale.monkey_dungeon.curse_of_monkey_button = gameforge.locale.monkey_dungeon.curse_of_monkey_button
locale.monkey_dungeon.curse_of_monkey = gameforge.locale.monkey_dungeon.curse_of_monkey
locale.monkey_dungeon.cannot_ENTER_yet = gameforge.locale.monkey_dungeon.cannot_ENTER_yet
locale.monkey_dungeon.low_entrance = gameforge.locale.monkey_dungeon.low_entrance
locale.monkey_dungeon.middle_entrance = gameforge.locale.monkey_dungeon.middle_entrance
locale.monkey_dungeon.notice = gameforge.locale.monkey_dungeon.notice
locale.monkey_dungeon.quest_title = gameforge.locale.monkey_dungeon.quest_title
locale.monkey_dungeon.quest_rest_time = gameforge.locale.monkey_dungeon.quest_rest_time
locale.monkey_dungeon.ENTER = gameforge.locale.monkey_dungeon.ENTER
locale.monkey_dungeon.no_ENTER = gameforge.locale.monkey_dungeon.no_ENTER

locale.questscroll5 = {}
locale.questscroll5.mission = {
	{
		QUEST_SCROLL_TYPE_KILL_MOB,
		"Aa",
		gameforge.locale.questscroll5.mission_1_hunt,
		gameforge.locale.questscroll5.mission_1_text,
		gameforge.locale.questscroll5.mission_1_mis,
		"8002",
		3
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB,
		"Aa",
		gameforge.locale.questscroll5.mission_2_hunt,
		gameforge.locale.questscroll5.mission_2_text,
		gameforge.locale.questscroll5.mission_2_mis,
		"8001",
		2
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB,
		"Aa",
		gameforge.locale.questscroll5.mission_3_hunt,
		gameforge.locale.questscroll5.mission_3_text,
		gameforge.locale.questscroll5.mission_3_mis,
		"107",
		30
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB,
		"Aa",
		gameforge.locale.questscroll5.mission_4_hunt,
		gameforge.locale.questscroll5.mission_4_text,
		gameforge.locale.questscroll5.mission_4_mis,
		"106",
		35
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB,
		"Aa",
		gameforge.locale.questscroll5.mission_5_hunt,
		gameforge.locale.questscroll5.mission_5_text,
		gameforge.locale.questscroll5.mission_5_mis,
		"108",
		40
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB2,
		"Aa",
		gameforge.locale.questscroll5.mission_6_hunt,
		gameforge.locale.questscroll5.mission_6_text,
		gameforge.locale.questscroll5.mission_6_mis,
		"114"	,
		25,
		"110",
		30
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB,
		"Ab",
		gameforge.locale.questscroll5.mission_7_hunt,
		gameforge.locale.questscroll5.mission_7_text,
		gameforge.locale.questscroll5.mission_7_mis,
		"8004",
		2
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB,
		"Ab",
		gameforge.locale.questscroll5.mission_8_hunt,
		gameforge.locale.questscroll5.mission_8_text,
		gameforge.locale.questscroll5.mission_8_mis,
		"8003",
		2
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB,
		"Ab",
		gameforge.locale.questscroll5.mission_9_hunt,
		gameforge.locale.questscroll5.mission_9_text,
		gameforge.locale.questscroll5.mission_9_mis,
		"109",
		30
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB2,
		"Ab",
		gameforge.locale.questscroll5.mission_10_hunt,
		gameforge.locale.questscroll5.mission_10_text,
		gameforge.locale.questscroll5.mission_10_mis,
		"111",
		25,
		"112",
		25
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB2,
		"Ab",
		gameforge.locale.questscroll5.mission_11_hunt,
		gameforge.locale.questscroll5.mission_11_text,
		gameforge.locale.questscroll5.mission_11_mis,
		"104",
		35,
		"105",
		25
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB,
		"Ba",
		gameforge.locale.questscroll5.mission_12_hunt,
		gameforge.locale.questscroll5.mission_12_text,
		gameforge.locale.questscroll5.mission_12_mis,
		"304",
		20
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB2,
		"Ba",
		gameforge.locale.questscroll5.mission_13_hunt,
		gameforge.locale.questscroll5.mission_13_text,
		gameforge.locale.questscroll5.mission_13_mis,
		"404",
		25,
		"405",
		25
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB2,
		"Ba",
		gameforge.locale.questscroll5.mission_14_hunt,
		gameforge.locale.questscroll5.mission_14_text,
		gameforge.locale.questscroll5.mission_14_mis,
		"631",
		30,
		"632",
		30
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB2,
		"Ba",
		gameforge.locale.questscroll5.mission_15_hunt,
		gameforge.locale.questscroll5.mission_15_text,
		gameforge.locale.questscroll5.mission_15_mis,
		"501",
		30,
		"502",
		30
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB,
		"Bb",
		gameforge.locale.questscroll5.mission_16_hunt,
		gameforge.locale.questscroll5.mission_16_text,
		gameforge.locale.questscroll5.mission_16_mis,
		"8006",
		3
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB,
		"Bb",
		gameforge.locale.questscroll5.mission_17_hunt,
		gameforge.locale.questscroll5.mission_17_text,
		gameforge.locale.questscroll5.mission_17_mis,
		"8005",
		2
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB,
		"Bb",
		gameforge.locale.questscroll5.mission_18_hunt,
		gameforge.locale.questscroll5.mission_18_text,
		gameforge.locale.questscroll5.mission_18_mis,
		"393",
		10
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB2,
		"Bb",
		gameforge.locale.questscroll5.mission_19_hunt,
		gameforge.locale.questscroll5.mission_19_text,
		gameforge.locale.questscroll5.mission_19_mis,
		"633",
		20,
		"634",
		15
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB2,
		"Bb",
		gameforge.locale.questscroll5.mission_20_hunt,
		gameforge.locale.questscroll5.mission_20_text,
		gameforge.locale.questscroll5.mission_20_mis,
		"5111",
		30,
		"5112",
		30
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB2,
		"Bb",
		gameforge.locale.questscroll5.mission_21_hunt,
		gameforge.locale.questscroll5.mission_21_text,
		gameforge.locale.questscroll5.mission_21_mis,
		"5101",
		30,
		"5102",
		30
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB,
		"Bc",
		gameforge.locale.questscroll5.mission_22_hunt,
		gameforge.locale.questscroll5.mission_22_text,
		gameforge.locale.questscroll5.mission_22_mis,
		"494",
		4
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB,
		"Bc",
		gameforge.locale.questscroll5.mission_23_hunt,
		gameforge.locale.questscroll5.mission_23_text,
		gameforge.locale.questscroll5.mission_23_mis,
		"8007",
		2
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB2,
		"Bc",
		gameforge.locale.questscroll5.mission_24_hunt,
		gameforge.locale.questscroll5.mission_24_text,
		gameforge.locale.questscroll5.mission_24_mis,
		"5113",
		15,
		"5114",
		15
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB2,
		"Bc",
		gameforge.locale.questscroll5.mission_25_hunt,
		gameforge.locale.questscroll5.mission_25_text,
		gameforge.locale.questscroll5.mission_25_mis,
		"5103",
		15,
		"5104",
		15
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB,
		"Ca",
		gameforge.locale.questscroll5.mission_26_hunt,
		gameforge.locale.questscroll5.mission_26_text,
		gameforge.locale.questscroll5.mission_26_mis,
		"8008",
		2
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB,
		"Ca",
		gameforge.locale.questscroll5.mission_27_hunt,
		gameforge.locale.questscroll5.mission_27_text,
		gameforge.locale.questscroll5.mission_27_mis,
		"2001",
		40
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB,
		"Ca",
		gameforge.locale.questscroll5.mission_28_hunt,
		gameforge.locale.questscroll5.mission_28_text,
		gameforge.locale.questscroll5.mission_28_mis,
		"2002",
		40
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB2,
		"Ca",
		gameforge.locale.questscroll5.mission_29_hunt,
		gameforge.locale.questscroll5.mission_29_text,
		gameforge.locale.questscroll5.mission_29_mis,
		"703",
		20,
		"704",
		25
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB2,
		"Ca",
		gameforge.locale.questscroll5.mission_30_hunt,
		gameforge.locale.questscroll5.mission_30_text,
		gameforge.locale.questscroll5.mission_30_mis,
		"701",
		30,
		"702",
		30
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB2,
		"Ca",
		gameforge.locale.questscroll5.mission_31_hunt,
		gameforge.locale.questscroll5.mission_31_text,
		gameforge.locale.questscroll5.mission_31_mis,
		"706",
		40,
		"707",
		40
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB,
		"Cb",
		gameforge.locale.questscroll5.mission_32_hunt,
		gameforge.locale.questscroll5.mission_32_text,
		gameforge.locale.questscroll5.mission_32_mis,
		"8009",
		2
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB2,
		"Cb",
		gameforge.locale.questscroll5.mission_33_hunt,
		gameforge.locale.questscroll5.mission_33_text,
		gameforge.locale.questscroll5.mission_33_mis,
		"2031",
		35,
		"2032",
		35
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB2,
		"Cb",
		gameforge.locale.questscroll5.mission_34_hunt,
		gameforge.locale.questscroll5.mission_34_text,
		gameforge.locale.questscroll5.mission_34_mis,
		"2031",
		35,
		"2032",
		35
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB2,
		"Cb",
		gameforge.locale.questscroll5.mission_35_hunt,
		gameforge.locale.questscroll5.mission_35_text,
		gameforge.locale.questscroll5.mission_35_mis,
		"2033",
		35,
		"2034",
		35
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB,
		"Cb",
		gameforge.locale.questscroll5.mission_36_hunt,
		gameforge.locale.questscroll5.mission_36_text,
		gameforge.locale.questscroll5.mission_36_mis,
		"2035",
		40
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB,
		"Cc",
		gameforge.locale.questscroll5.mission_37_hunt,
		gameforge.locale.questscroll5.mission_37_text,
		gameforge.locale.questscroll5.mission_37_mis,
		"8010",
		2
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB2,
		"Cc",
		gameforge.locale.questscroll5.mission_38_hunt,
		gameforge.locale.questscroll5.mission_38_text,
		gameforge.locale.questscroll5.mission_38_mis,
		"2103",
		30,
		"2104",
		20
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB2,
		"Cc",
		gameforge.locale.questscroll5.mission_39_hunt,
		gameforge.locale.questscroll5.mission_39_text,
		gameforge.locale.questscroll5.mission_39_mis,
		"1001",
		30,
		"1002",
		20
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB2,
		"Cc",
		gameforge.locale.questscroll5.mission_40_hunt,
		gameforge.locale.questscroll5.mission_40_text,
		gameforge.locale.questscroll5.mission_40_mis,
		"1003",
		30,
		"1004",
		25
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB2,
		"Cd",
		gameforge.locale.questscroll5.mission_41_hunt,
		gameforge.locale.questscroll5.mission_41_text,
		gameforge.locale.questscroll5.mission_41_mis,
		"5123",
		15,
		"5124",
		15
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB,
		"Cd",
		gameforge.locale.questscroll5.mission_42_hunt,
		gameforge.locale.questscroll5.mission_42_text,
		gameforge.locale.questscroll5.mission_42_mis,
		"1107",
		25
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB2,
		"Cd",
		gameforge.locale.questscroll5.mission_43_hunt,
		gameforge.locale.questscroll5.mission_43_text,
		gameforge.locale.questscroll5.mission_43_mis,
		"5121",
		30,
		"5122",
		30
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB,
		"Cd",
		gameforge.locale.questscroll5.mission_44_hunt,
		gameforge.locale.questscroll5.mission_44_text,
		gameforge.locale.questscroll5.mission_44_mis,
		"1305",
		30
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB2,
		"Cd",
		gameforge.locale.questscroll5.mission_45_hunt,
		gameforge.locale.questscroll5.mission_45_text,
		gameforge.locale.questscroll5.mission_45_mis,
		"1105",
		35,
		"1106",
		30
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB2,
		"Cd",
		gameforge.locale.questscroll5.mission_46_hunt,
		gameforge.locale.questscroll5.mission_46_text,
		gameforge.locale.questscroll5.mission_46_mis,
		"1301",
		45,
		"1302",
		35
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB,
		"Cd",
		gameforge.locale.questscroll5.mission_47_hunt,
		gameforge.locale.questscroll5.mission_47_text,
		gameforge.locale.questscroll5.mission_47_mis,
		"1101",
		45
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB,
		"Da",
		gameforge.locale.questscroll5.mission_48_hunt,
		gameforge.locale.questscroll5.mission_48_text,
		gameforge.locale.questscroll5.mission_48_mis,
		"1063",
		45
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB,
		"Da",
		gameforge.locale.questscroll5.mission_49_hunt,
		gameforge.locale.questscroll5.mission_49_text,
		gameforge.locale.questscroll5.mission_49_mis,
		"1064",
		60
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB,
		"Da",
		gameforge.locale.questscroll5.mission_50_hunt,
		gameforge.locale.questscroll5.mission_50_text,
		gameforge.locale.questscroll5.mission_50_mis,
		"2201",
		45
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB,
		"Db",
		gameforge.locale.questscroll5.mission_51_hunt,
		gameforge.locale.questscroll5.mission_51_text,
		gameforge.locale.questscroll5.mission_51_mis,
		"2202",
		45
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB2,
		"Db",
		gameforge.locale.questscroll5.mission_52_hunt,
		gameforge.locale.questscroll5.mission_52_text,
		gameforge.locale.questscroll5.mission_52_mis,
		"2201",
		60,
		"2203",
		40
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB,
		"Db",
		gameforge.locale.questscroll5.mission_53_hunt,
		gameforge.locale.questscroll5.mission_53_text,
		gameforge.locale.questscroll5.mission_53_mis,
		"2204",
		40
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB,
		"Db",
		gameforge.locale.questscroll5.mission_54_hunt,
		gameforge.locale.questscroll5.mission_54_text,
		gameforge.locale.questscroll5.mission_54_mis,
		"2205",
		60
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB,
		"Dc",
		gameforge.locale.questscroll5.mission_55_hunt,
		gameforge.locale.questscroll5.mission_55_text,
		gameforge.locale.questscroll5.mission_55_mis,
		"2301",
		30
	},
	{
		QUEST_SCROLL_TYPE_KILL_MOB2,
		"Dc",
		gameforge.locale.questscroll5.mission_56_hunt,
		gameforge.locale.questscroll5.mission_56_text,
		gameforge.locale.questscroll5.mission_56_mis,
		"2302",
		40,
		"2303",
		30
	},
}

locale.questscroll5.reward_exp = {
	["Aa"] = {
		{10000, 30},
		{20000, 40},
		{30000, 25},
		{50000,  3},
		{80000,  2},
	},
	["Ab"] = {
		{10000, 20},
		{20000, 30},
		{30000, 35},
		{50000, 10},
		{80000,  5},
	},
	["Ba"] = {
		{20000, 25},
		{30000, 35},
		{50000, 25},
		{80000, 10},
		{100000,  5},
	},
	["Bb"] = {
		{20000, 10},
		{30000, 25},
		{50000, 35},
		{80000, 20},
		{100000, 10},
	},
	["Bc"] = {
		{20000,  5},
		{30000, 15},
		{50000, 35},
		{80000, 30},
		{100000, 15},
	},
	["Ca"] = {
		{30000, 20},
		{50000, 40},
		{100000, 30},
		{150000,  8},
		{200000,  2},
	},
	["Cb"] = {
		{30000, 15},
		{50000, 30},
		{100000, 35},
		{150000, 10},
		{200000, 10},
	},
	["Cc"] = {
		{30000, 10},
		{50000, 15},
		{100000, 35},
		{150000, 25},
		{200000, 15},
	},
	["Cd"] = {
		{30000,  5},
		{50000, 10},
		{100000, 30},
		{150000, 35},
		{200000, 20},
	},
	["Da"] = {
		{30000, 20},
		{50000, 40},
		{100000, 30},
		{150000,  8},
		{200000,  2},
	},
	["Db"] = {
		{30000, 15},
		{50000, 30},
		{100000, 35},
		{150000, 10},
		{200000, 10},
	},
	["Dc"] = {
		{30000, 10},
		{50000, 15},
		{100000, 35},
		{150000, 25},
		{200000, 15},
	},
}
locale.questscroll5.reward_money = {
	["Aa"] = {
		{5000, 30},
		{10000, 40},
		{20000, 25},
		{50000, 3},
		{100000, 2},
	},
	["Ab"] = {
		{5000, 20},
		{10000, 30},
		{20000, 35},
		{50000, 10},
		{100000, 5},
	},
	["Ba"] = {
		{10000, 30},
		{30000, 40},
		{50000, 25},
		{80000, 3},
		{100000, 2},
	},
	["Bb"] = {
		{10000, 20},
		{30000, 30},
		{50000, 35},
		{80000, 10},
		{100000, 5},
	},
	["Bc"] = {
		{10000, 10},
		{30000, 20},
		{50000, 35},
		{80000, 30},
		{100000, 5},
	},
	["Ca"] = {
		{30000, 20},
		{50000, 40},
		{80000, 30},
		{100000, 8},
		{150000, 2},
	},
	["Cb"] = {
		{30000, 15},
		{50000, 30},
		{80000, 35},
		{100000, 10},
		{150000, 10},
	},
	["Cc"] = {
		{30000, 10},
		{50000, 15},
		{80000, 35},
		{100000, 25},
		{150000, 10},
	},
	["Cd"] = {
		{30000, 5},
		{50000, 10},
		{80000, 30},
		{100000, 35},
		{150000, 20},
	},
	["Da"] = {
		{30000, 20},
		{50000, 40},
		{80000, 30},
		{100000, 8},
		{150000, 2},
	},
	["Db"] = {
		{30000, 15},
		{50000, 30},
		{80000, 35},
		{100000, 10},
		{150000, 10},
	},
	["Dc"] = {
		{30000, 10},
		{50000, 15},
		{80000, 35},
		{100000, 25},
		{150000, 10},
	},
}
locale.questscroll5.reward_item = {
	["Aa"] = {
		{30053, 1},
		{30072, 1},
		{30071, 1},
		{30003, 1},
		{30023, 1},
		{30038, 1},
	},
	["Ab"] = {
		{30037, 1},
		{30010, 1},
		{30004, 1},
		{30028, 1},
		{30069, 1},
		{30027, 1},
		{30070, 1},
	},
	["Ba"] = {
		{30032, 1},
		{30034, 1},
		{30073, 1},
		{30035, 1},
		{30008, 1},
		{30005, 1},
		{30021, 1},
		{30033, 1},
		{30041, 1},
		{30092, 1},
	},
	["Bb"] = {
		{30074, 1},
		{30076, 1},
		{30056, 1},
		{30057, 1},
		{30006, 1},
		{30077, 1},
		{30030, 1},
		{30058, 1},
		{30025, 1},
		{30055, 1},
	},
	["Bc"] = {
		{30046, 1},
		{30045, 1},
		{30018, 1},
		{30007, 1},
		{30052, 1},
		{30081, 1},
		{30031, 1},
		{30017, 1},
		{30011, 1},
	},
	["Ca"] = {
		{30085, 1},
		{30088, 1},
		{30016, 1},
		{30061, 1},
		{30040, 1},
		{30091, 1},
		{30059, 1},
	},
	["Cb"] = {
		{30060, 1},
		{30039, 1},
		{30042, 1},
		{30009, 1},
		{30079, 1},
		{30075, 1},
		{30022, 1},
		{30087, 1},
	},
	["Cc"] = {
		{30015, 1},
		{30019, 1},
		{30014, 1},
		{30048, 1},
		{30078, 1},
		{30083, 1},
		{30086, 1},
		{30090, 1},
		{30089, 1},
	},
	["Cd"] = {
		{30049, 1},
		{30047, 1},
		{30067, 1},
		{30080, 1},
		{30051, 1},
		{30050, 1},
	},
	["Da"] = {
		{30045, 1},
		{30051, 1},
		{30038, 1},
		{30070, 1},
		{30023, 1},
		{30033, 1},
		{30011, 1},
		{30027, 1},
		{30082, 1},
	},
	["Db"] = {
		{30035, 1},
		{30010, 1},
		{30055, 1},
		{30006, 1},
		{30003, 1},
		{30017, 1},
		{30058, 1},
		{30086, 1},
	},
	["Dc"] = {
		{70048, 15},
		{70050, 15},
		{70051, 15},
		{70102, 5},
		{50513, 5},
		{50301, 20},
		{50302, 15},
		{50303, 10},
	},

}

locale.quiz = {
	{
		gameforge.locale.quiz_1_0_question,
		gameforge.locale.quiz_1_1_choice,
		gameforge.locale.quiz_1_2_choice,
		gameforge.locale.quiz_1_3_choice,
		gameforge.locale.quiz_1_4_choice,
		gameforge.locale.quiz_1_5_answer
	},
	{
		gameforge.locale.quiz_2_0_question,
		gameforge.locale.quiz_2_1_choice,
		gameforge.locale.quiz_2_2_choice,
		gameforge.locale.quiz_2_3_choice,
		gameforge.locale.quiz_2_4_choice,
		gameforge.locale.quiz_2_5_answer
	},
	{
		gameforge.locale.quiz_3_0_question,
		gameforge.locale.quiz_3_1_choice,
		gameforge.locale.quiz_3_2_choice,
		gameforge.locale.quiz_3_3_choice,
		gameforge.locale.quiz_3_4_choice,
		gameforge.locale.quiz_3_5_answer
	},
	{
		gameforge.locale.quiz_4_0_question,
		gameforge.locale.quiz_4_1_choice,
		gameforge.locale.quiz_4_2_choice,
		gameforge.locale.quiz_4_3_choice,
		gameforge.locale.quiz_4_4_choice,
		gameforge.locale.quiz_4_5_answer
	},
	{
		gameforge.locale.quiz_5_0_question,
		gameforge.locale.quiz_5_1_choice,
		gameforge.locale.quiz_5_2_choice,
		gameforge.locale.quiz_5_3_choice,
		gameforge.locale.quiz_5_4_choice,
		gameforge.locale.quiz_5_5_answer
	},
	{
		gameforge.locale.quiz_6_0_question,
		gameforge.locale.quiz_6_1_choice,
		gameforge.locale.quiz_6_2_choice,
		gameforge.locale.quiz_6_3_choice,
		gameforge.locale.quiz_6_4_choice,
		gameforge.locale.quiz_6_5_answer
	},
	{
		gameforge.locale.quiz_7_0_question,
		gameforge.locale.quiz_7_1_choice,
		gameforge.locale.quiz_7_2_choice,
		gameforge.locale.quiz_7_3_choice,
		gameforge.locale.quiz_7_4_choice,
		gameforge.locale.quiz_7_5_answer
	},
	{
		gameforge.locale.quiz_8_0_question,
		gameforge.locale.quiz_8_1_choice,
		gameforge.locale.quiz_8_2_choice,
		gameforge.locale.quiz_8_3_choice,
		gameforge.locale.quiz_8_4_choice,
		gameforge.locale.quiz_8_5_answer
	},
	{
		gameforge.locale.quiz_9_0_question,
		gameforge.locale.quiz_9_1_choice,
		gameforge.locale.quiz_9_2_choice,
		gameforge.locale.quiz_9_3_choice,
		gameforge.locale.quiz_9_4_choice,
		gameforge.locale.quiz_9_5_answer
	},
	{
		gameforge.locale.quiz_10_0_question,
		gameforge.locale.quiz_10_1_choice,
		gameforge.locale.quiz_10_2_choice,
		gameforge.locale.quiz_10_3_choice,
		gameforge.locale.quiz_10_4_choice,
		gameforge.locale.quiz_10_5_answer
	},
	{
		gameforge.locale.quiz_11_0_question,
		gameforge.locale.quiz_11_1_choice,
		gameforge.locale.quiz_11_2_choice,
		gameforge.locale.quiz_11_3_choice,
		gameforge.locale.quiz_11_4_choice,
		gameforge.locale.quiz_11_5_answer
	},
	{
		gameforge.locale.quiz_12_0_question,
		gameforge.locale.quiz_12_1_choice,
		gameforge.locale.quiz_12_2_choice,
		gameforge.locale.quiz_12_3_choice,
		gameforge.locale.quiz_12_4_choice,
		gameforge.locale.quiz_12_5_answer
	},
	{
		gameforge.locale.quiz_13_0_question,
		gameforge.locale.quiz_13_1_choice,
		gameforge.locale.quiz_13_2_choice,
		gameforge.locale.quiz_13_3_choice,
		gameforge.locale.quiz_13_4_choice,
		gameforge.locale.quiz_13_5_answer
	},
	{
		gameforge.locale.quiz_14_0_question,
		gameforge.locale.quiz_14_1_choice,
		gameforge.locale.quiz_14_2_choice,
		gameforge.locale.quiz_14_3_choice,
		gameforge.locale.quiz_14_4_choice,
		gameforge.locale.quiz_14_5_answer
	},
	{
		gameforge.locale.quiz_15_0_question,
		gameforge.locale.quiz_15_1_choice,
		gameforge.locale.quiz_15_2_choice,
		gameforge.locale.quiz_15_3_choice,
		gameforge.locale.quiz_15_4_choice,
		gameforge.locale.quiz_15_5_answer
	},
	{
		gameforge.locale.quiz_16_0_question,
		gameforge.locale.quiz_16_1_choice,
		gameforge.locale.quiz_16_2_choice,
		gameforge.locale.quiz_16_3_choice,
		gameforge.locale.quiz_16_4_choice,
		gameforge.locale.quiz_16_5_answer
	},
	{
		gameforge.locale.quiz_17_0_question,
		gameforge.locale.quiz_17_1_choice,
		gameforge.locale.quiz_17_2_choice,
		gameforge.locale.quiz_17_3_choice,
		gameforge.locale.quiz_17_4_choice,
		gameforge.locale.quiz_17_5_answer
	},
	{
		gameforge.locale.quiz_18_0_question,
		gameforge.locale.quiz_18_1_choice,
		gameforge.locale.quiz_18_2_choice,
		gameforge.locale.quiz_18_3_choice,
		gameforge.locale.quiz_18_4_choice,
		gameforge.locale.quiz_18_5_answer
	},
	{
		gameforge.locale.quiz_19_0_question,
		gameforge.locale.quiz_19_1_choice,
		gameforge.locale.quiz_19_2_choice,
		gameforge.locale.quiz_19_3_choice,
		gameforge.locale.quiz_19_4_choice,
		gameforge.locale.quiz_19_5_answer
	},
	{
		gameforge.locale.quiz_20_0_question,
		gameforge.locale.quiz_20_1_choice,
		gameforge.locale.quiz_20_2_choice,
		gameforge.locale.quiz_20_3_choice,
		gameforge.locale.quiz_20_4_choice,
		gameforge.locale.quiz_20_5_answer
	},
	{
		gameforge.locale.quiz_21_0_question,
		gameforge.locale.quiz_21_1_choice,
		gameforge.locale.quiz_21_2_choice,
		gameforge.locale.quiz_21_3_choice,
		gameforge.locale.quiz_21_4_choice,
		gameforge.locale.quiz_21_5_answer
	},
	{
		gameforge.locale.quiz_22_0_question,
		gameforge.locale.quiz_22_1_choice,
		gameforge.locale.quiz_22_2_choice,
		gameforge.locale.quiz_22_3_choice,
		gameforge.locale.quiz_22_4_choice,
		gameforge.locale.quiz_22_5_answer
	},
	{
		gameforge.locale.quiz_23_0_question,
		gameforge.locale.quiz_23_1_choice,
		gameforge.locale.quiz_23_2_choice,
		gameforge.locale.quiz_23_3_choice,
		gameforge.locale.quiz_23_4_choice,
		gameforge.locale.quiz_23_5_answer
	},
	{
		gameforge.locale.quiz_24_0_question,
		gameforge.locale.quiz_24_1_choice,
		gameforge.locale.quiz_24_2_choice,
		gameforge.locale.quiz_24_3_choice,
		gameforge.locale.quiz_24_4_choice,
		gameforge.locale.quiz_24_5_answer
	},
	{
		gameforge.locale.quiz_25_0_question,
		gameforge.locale.quiz_25_1_choice,
		gameforge.locale.quiz_25_2_choice,
		gameforge.locale.quiz_25_3_choice,
		gameforge.locale.quiz_25_4_choice,
		gameforge.locale.quiz_25_5_answer
	},
	{
		gameforge.locale.quiz_26_0_question,
		gameforge.locale.quiz_26_1_choice,
		gameforge.locale.quiz_26_2_choice,
		gameforge.locale.quiz_26_3_choice,
		gameforge.locale.quiz_26_4_choice,
		gameforge.locale.quiz_26_5_answer
	},
	{
		gameforge.locale.quiz_27_0_question,
		gameforge.locale.quiz_27_1_choice,
		gameforge.locale.quiz_27_2_choice,
		gameforge.locale.quiz_27_3_choice,
		gameforge.locale.quiz_27_4_choice,
		gameforge.locale.quiz_27_5_answer
	},
	{
		gameforge.locale.quiz_28_0_question,
		gameforge.locale.quiz_28_1_choice,
		gameforge.locale.quiz_28_2_choice,
		gameforge.locale.quiz_28_3_choice,
		gameforge.locale.quiz_28_4_choice,
		gameforge.locale.quiz_28_5_answer
	},
	{
		gameforge.locale.quiz_29_0_question,
		gameforge.locale.quiz_29_1_choice,
		gameforge.locale.quiz_29_2_choice,
		gameforge.locale.quiz_29_3_choice,
		gameforge.locale.quiz_29_4_choice,
		gameforge.locale.quiz_29_5_answer
	},
	{
		gameforge.locale.quiz_30_0_question,
		gameforge.locale.quiz_30_1_choice,
		gameforge.locale.quiz_30_2_choice,
		gameforge.locale.quiz_30_3_choice,
		gameforge.locale.quiz_30_4_choice,
		gameforge.locale.quiz_30_5_answer
	},
	{
		gameforge.locale.quiz_31_0_question,
		gameforge.locale.quiz_31_1_choice,
		gameforge.locale.quiz_31_2_choice,
		gameforge.locale.quiz_31_3_choice,
		gameforge.locale.quiz_31_4_choice,
		gameforge.locale.quiz_31_5_answer
	},
	{
		gameforge.locale.quiz_32_0_question,
		gameforge.locale.quiz_32_1_choice,
		gameforge.locale.quiz_32_2_choice,
		gameforge.locale.quiz_32_3_choice,
		gameforge.locale.quiz_32_4_choice,
		gameforge.locale.quiz_32_5_answer
	},
	{
		gameforge.locale.quiz_33_0_question,
		gameforge.locale.quiz_33_1_choice,
		gameforge.locale.quiz_33_2_choice,
		gameforge.locale.quiz_33_3_choice,
		gameforge.locale.quiz_33_4_choice,
		gameforge.locale.quiz_33_5_answer
	},
	{
		gameforge.locale.quiz_34_0_question,
		gameforge.locale.quiz_34_1_choice,
		gameforge.locale.quiz_34_2_choice,
		gameforge.locale.quiz_34_3_choice,
		gameforge.locale.quiz_34_4_choice,
		gameforge.locale.quiz_34_5_answer
	},
	{
		gameforge.locale.quiz_35_0_question,
		gameforge.locale.quiz_35_1_choice,
		gameforge.locale.quiz_35_2_choice,
		gameforge.locale.quiz_35_3_choice,
		gameforge.locale.quiz_35_4_choice,
		gameforge.locale.quiz_35_5_answer
	},
	{
		gameforge.locale.quiz_36_0_question,
		gameforge.locale.quiz_36_1_choice,
		gameforge.locale.quiz_36_2_choice,
		gameforge.locale.quiz_36_3_choice,
		gameforge.locale.quiz_36_4_choice,
		gameforge.locale.quiz_36_5_answer
	},
	{
		gameforge.locale.quiz_37_0_question,
		gameforge.locale.quiz_37_1_choice,
		gameforge.locale.quiz_37_2_choice,
		gameforge.locale.quiz_37_3_choice,
		gameforge.locale.quiz_37_4_choice,
		gameforge.locale.quiz_37_5_answer
	},
	{
		gameforge.locale.quiz_38_0_question,
		gameforge.locale.quiz_38_1_choice,
		gameforge.locale.quiz_38_2_choice,
		gameforge.locale.quiz_38_3_choice,
		gameforge.locale.quiz_38_4_choice,
		gameforge.locale.quiz_38_5_answer
	},
	{
		gameforge.locale.quiz_39_0_question,
		gameforge.locale.quiz_39_1_choice,
		gameforge.locale.quiz_39_2_choice,
		gameforge.locale.quiz_39_3_choice,
		gameforge.locale.quiz_39_4_choice,
		gameforge.locale.quiz_39_5_answer
	},
	{
		gameforge.locale.quiz_40_0_question,
		gameforge.locale.quiz_40_1_choice,
		gameforge.locale.quiz_40_2_choice,
		gameforge.locale.quiz_40_3_choice,
		gameforge.locale.quiz_40_4_choice,
		gameforge.locale.quiz_40_5_answer
	},
	{
		gameforge.locale.quiz_41_0_question,
		gameforge.locale.quiz_41_1_choice,
		gameforge.locale.quiz_41_2_choice,
		gameforge.locale.quiz_41_3_choice,
		gameforge.locale.quiz_41_4_choice,
		gameforge.locale.quiz_41_5_answer
	},
	{
		gameforge.locale.quiz_42_0_question,
		gameforge.locale.quiz_42_1_choice,
		gameforge.locale.quiz_42_2_choice,
		gameforge.locale.quiz_42_3_choice,
		gameforge.locale.quiz_42_4_choice,
		gameforge.locale.quiz_42_5_answer
	},
	{
		gameforge.locale.quiz_43_0_question,
		gameforge.locale.quiz_43_1_choice,
		gameforge.locale.quiz_43_2_choice,
		gameforge.locale.quiz_43_3_choice,
		gameforge.locale.quiz_43_4_choice,
		gameforge.locale.quiz_43_5_answer
	},
	{
		gameforge.locale.quiz_44_0_question,
		gameforge.locale.quiz_44_1_choice,
		gameforge.locale.quiz_44_2_choice,
		gameforge.locale.quiz_44_3_choice,
		gameforge.locale.quiz_44_4_choice,
		gameforge.locale.quiz_44_5_answer
	},
	{
		gameforge.locale.quiz_45_0_question,
		gameforge.locale.quiz_45_1_choice,
		gameforge.locale.quiz_45_2_choice,
		gameforge.locale.quiz_45_3_choice,
		gameforge.locale.quiz_45_4_choice,
		gameforge.locale.quiz_45_5_answer
	},
	{
		gameforge.locale.quiz_46_0_question,
		gameforge.locale.quiz_46_1_choice,
		gameforge.locale.quiz_46_2_choice,
		gameforge.locale.quiz_46_3_choice,
		gameforge.locale.quiz_46_4_choice,
		gameforge.locale.quiz_46_5_answer
	},
	{
		gameforge.locale.quiz_47_0_question,
		gameforge.locale.quiz_47_1_choice,
		gameforge.locale.quiz_47_2_choice,
		gameforge.locale.quiz_47_3_choice,
		gameforge.locale.quiz_47_4_choice,
		gameforge.locale.quiz_47_5_answer
	},
	{
		gameforge.locale.quiz_48_0_question,
		gameforge.locale.quiz_48_1_choice,
		gameforge.locale.quiz_48_2_choice,
		gameforge.locale.quiz_48_3_choice,
		gameforge.locale.quiz_48_4_choice,
		gameforge.locale.quiz_48_5_answer
	},
	{
		gameforge.locale.quiz_49_0_question,
		gameforge.locale.quiz_49_1_choice,
		gameforge.locale.quiz_49_2_choice,
		gameforge.locale.quiz_49_3_choice,
		gameforge.locale.quiz_49_4_choice,
		gameforge.locale.quiz_49_5_answer
	},
	{
		gameforge.locale.quiz_50_0_question,
		gameforge.locale.quiz_50_1_choice,
		gameforge.locale.quiz_50_2_choice,
		gameforge.locale.quiz_50_3_choice,
		gameforge.locale.quiz_50_4_choice,
		gameforge.locale.quiz_50_5_answer
	},
	{
		gameforge.locale.quiz_51_0_question,
		gameforge.locale.quiz_51_1_choice,
		gameforge.locale.quiz_51_2_choice,
		gameforge.locale.quiz_51_3_choice,
		gameforge.locale.quiz_51_4_choice,
		gameforge.locale.quiz_51_5_answer
	},
	{
		gameforge.locale.quiz_52_0_question,
		gameforge.locale.quiz_52_1_choice,
		gameforge.locale.quiz_52_2_choice,
		gameforge.locale.quiz_52_3_choice,
		gameforge.locale.quiz_52_4_choice,
		gameforge.locale.quiz_52_5_answer
	},
	{
		gameforge.locale.quiz_53_0_question,
		gameforge.locale.quiz_53_1_choice,
		gameforge.locale.quiz_53_2_choice,
		gameforge.locale.quiz_53_3_choice,
		gameforge.locale.quiz_53_4_choice,
		gameforge.locale.quiz_53_5_answer
	},
	{
		gameforge.locale.quiz_54_0_question,
		gameforge.locale.quiz_54_1_choice,
		gameforge.locale.quiz_54_2_choice,
		gameforge.locale.quiz_54_3_choice,
		gameforge.locale.quiz_54_4_choice,
		gameforge.locale.quiz_54_5_answer
	},
	{
		gameforge.locale.quiz_55_0_question,
		gameforge.locale.quiz_55_1_choice,
		gameforge.locale.quiz_55_2_choice,
		gameforge.locale.quiz_55_3_choice,
		gameforge.locale.quiz_55_4_choice,
		gameforge.locale.quiz_55_5_answer
	},
	{
		gameforge.locale.quiz_56_0_question,
		gameforge.locale.quiz_56_1_choice,
		gameforge.locale.quiz_56_2_choice,
		gameforge.locale.quiz_56_3_choice,
		gameforge.locale.quiz_56_4_choice,
		gameforge.locale.quiz_56_5_answer
	},
	{
		gameforge.locale.quiz_57_0_question,
		gameforge.locale.quiz_57_1_choice,
		gameforge.locale.quiz_57_2_choice,
		gameforge.locale.quiz_57_3_choice,
		gameforge.locale.quiz_57_4_choice,
		gameforge.locale.quiz_57_5_answer
	},
	{
		gameforge.locale.quiz_58_0_question,
		gameforge.locale.quiz_58_1_choice,
		gameforge.locale.quiz_58_2_choice,
		gameforge.locale.quiz_58_3_choice,
		gameforge.locale.quiz_58_4_choice,
		gameforge.locale.quiz_58_5_answer
	},
	{
		gameforge.locale.quiz_59_0_question,
		gameforge.locale.quiz_59_1_choice,
		gameforge.locale.quiz_59_2_choice,
		gameforge.locale.quiz_59_3_choice,
		gameforge.locale.quiz_59_4_choice,
		gameforge.locale.quiz_59_5_answer
	},
	{
		gameforge.locale.quiz_60_0_question,
		gameforge.locale.quiz_60_1_choice,
		gameforge.locale.quiz_60_2_choice,
		gameforge.locale.quiz_60_3_choice,
		gameforge.locale.quiz_60_4_choice,
		gameforge.locale.quiz_60_5_answer
	},
	{
		gameforge.locale.quiz_61_0_question,
		gameforge.locale.quiz_61_1_choice,
		gameforge.locale.quiz_61_2_choice,
		gameforge.locale.quiz_61_3_choice,
		gameforge.locale.quiz_61_4_choice,
		gameforge.locale.quiz_61_5_answer
	},
	{
		gameforge.locale.quiz_62_0_question,
		gameforge.locale.quiz_62_1_choice,
		gameforge.locale.quiz_62_2_choice,
		gameforge.locale.quiz_62_3_choice,
		gameforge.locale.quiz_62_4_choice,
		gameforge.locale.quiz_62_5_answer
	},
	{
		gameforge.locale.quiz_63_0_question,
		gameforge.locale.quiz_63_1_choice,
		gameforge.locale.quiz_63_2_choice,
		gameforge.locale.quiz_63_3_choice,
		gameforge.locale.quiz_63_4_choice,
		gameforge.locale.quiz_63_5_answer
	},
	{
		gameforge.locale.quiz_64_0_question,
		gameforge.locale.quiz_64_1_choice,
		gameforge.locale.quiz_64_2_choice,
		gameforge.locale.quiz_64_3_choice,
		gameforge.locale.quiz_64_4_choice,
		gameforge.locale.quiz_64_5_answer
	},
	{
		gameforge.locale.quiz_65_0_question,
		gameforge.locale.quiz_65_1_choice,
		gameforge.locale.quiz_65_2_choice,
		gameforge.locale.quiz_65_3_choice,
		gameforge.locale.quiz_65_4_choice,
		gameforge.locale.quiz_65_5_answer
	},
	{
		gameforge.locale.quiz_66_0_question,
		gameforge.locale.quiz_66_1_choice,
		gameforge.locale.quiz_66_2_choice,
		gameforge.locale.quiz_66_3_choice,
		gameforge.locale.quiz_66_4_choice,
		gameforge.locale.quiz_66_5_answer
	},
	{
		gameforge.locale.quiz_67_0_question,
		gameforge.locale.quiz_67_1_choice,
		gameforge.locale.quiz_67_2_choice,
		gameforge.locale.quiz_67_3_choice,
		gameforge.locale.quiz_67_4_choice,
		gameforge.locale.quiz_67_5_answer
	},
	{
		gameforge.locale.quiz_68_0_question,
		gameforge.locale.quiz_68_1_choice,
		gameforge.locale.quiz_68_2_choice,
		gameforge.locale.quiz_68_3_choice,
		gameforge.locale.quiz_68_4_choice,
		gameforge.locale.quiz_68_5_answer
	},
	{
		gameforge.locale.quiz_69_0_question,
		gameforge.locale.quiz_69_1_choice,
		gameforge.locale.quiz_69_2_choice,
		gameforge.locale.quiz_69_3_choice,
		gameforge.locale.quiz_69_4_choice,
		gameforge.locale.quiz_69_5_answer
	},
	{
		gameforge.locale.quiz_70_0_question,
		gameforge.locale.quiz_70_1_choice,
		gameforge.locale.quiz_70_2_choice,
		gameforge.locale.quiz_70_3_choice,
		gameforge.locale.quiz_70_4_choice,
		gameforge.locale.quiz_70_5_answer
	},
	{
		gameforge.locale.quiz_71_0_question,
		gameforge.locale.quiz_71_1_choice,
		gameforge.locale.quiz_71_2_choice,
		gameforge.locale.quiz_71_3_choice,
		gameforge.locale.quiz_71_4_choice,
		gameforge.locale.quiz_71_5_answer
	},
}

locale.GM_SKILL_NAME_DICT = {
	[1] = gameforge.locale.gm_skill_name_1,
	[2] = gameforge.locale.gm_skill_name_2,
	[3] = gameforge.locale.gm_skill_name_3,
	[4] = gameforge.locale.gm_skill_name_4,
	[5] = gameforge.locale.gm_skill_name_5,
	[16] = gameforge.locale.gm_skill_name_6,
	[17] = gameforge.locale.gm_skill_name_7,
	[18] = gameforge.locale.gm_skill_name_8,
	[19] = gameforge.locale.gm_skill_name_9,
	[20] = gameforge.locale.gm_skill_name_10,
	[31] = gameforge.locale.gm_skill_name_11,
	[32] = gameforge.locale.gm_skill_name_12,
	[33] = gameforge.locale.gm_skill_name_13,
	[34] = gameforge.locale.gm_skill_name_14,
	[35] = gameforge.locale.gm_skill_name_15,
	[46] = gameforge.locale.gm_skill_name_16,
	[47] = gameforge.locale.gm_skill_name_17,
	[48] = gameforge.locale.gm_skill_name_18,
	[49] = gameforge.locale.gm_skill_name_19,
	[50] = gameforge.locale.gm_skill_name_20,
	[61] = gameforge.locale.gm_skill_name_21,
	[62] = gameforge.locale.gm_skill_name_22,
	[63] = gameforge.locale.gm_skill_name_23,
	[64] = gameforge.locale.gm_skill_name_24,
	[65] = gameforge.locale.gm_skill_name_25,
	[66] = gameforge.locale.gm_skill_name_26,
	[76] = gameforge.locale.gm_skill_name_27,
	[77] = gameforge.locale.gm_skill_name_28,
	[78] = gameforge.locale.gm_skill_name_29,
	[79] = gameforge.locale.gm_skill_name_30,
	[80] = gameforge.locale.gm_skill_name_31,
	[81] = gameforge.locale.gm_skill_name_32,
	[91] = gameforge.locale.gm_skill_name_33,
	[92] = gameforge.locale.gm_skill_name_34,
	[93] = gameforge.locale.gm_skill_name_35,
	[94] = gameforge.locale.gm_skill_name_36,
	[95] = gameforge.locale.gm_skill_name_37,
	[96] = gameforge.locale.gm_skill_name_38,
	[106] = gameforge.locale.gm_skill_name_39,
	[107] = gameforge.locale.gm_skill_name_40,
	[108] = gameforge.locale.gm_skill_name_41,
	[109] = gameforge.locale.gm_skill_name_42,
	[110] = gameforge.locale.gm_skill_name_43,
	[111] = gameforge.locale.gm_skill_name_44,
}
locale.dungeon = {}
locale.dungeon.time_limit_party = "Das Dungeon-Party sosokwon nicht verstrichene Zeit ist begrenzt, da die Position wurde vom Platz gestellt."
locale.dungeon.time_limit = "Dungeon Position Grenzen wurden ausgeschaltet, weil die Zeit noch nicht abgelaufen ist, geschickt."
locale.dungeon.no_ticket_party = "Rote Karten haben keinen Pass Zertifikat der Partei waren sosokwon."
locale.dungeon.no_ticket = "Verhandelbar Zertifikate wurden nicht abgeschickt."
locale.dungeon.level_limit_party = "Parteien nicht erreichen sosokwon %d Lv geschickt wurde."
locale.dungeon.level_limit = "%d Lv nicht erreicht wurden abgeschickt."
locale.dungeon.leader_can_go = "Der Fhrer der Partei, aber Sie knnen gehen."
locale.dungeon.enter_yes = "Gib."
locale.dungeon.enter_no = "Geben Sie nicht."
locale.dungeon.leader_can_enter = "Der Fhrer der Partei, kann aber fr die Zulassung beantragen."
locale.dungeon.party_can_enter = "Das Verlies Eingang ist eine Partei an den Staat."

locale.flame_dungeon = {}
locale.flame_dungeon.say_1 = "Yamacheon yeomwang eine Position zu bestrafen sicher?"
locale.flame_dungeon.say_2 = "Position"
locale.flame_dungeon.say_3 = "schlieen"
locale.flame_dungeon.say_4 = "Partei Kapitel 103Lv nicht fllen Sie alle Quests, sind weitere Fortschritte nicht mglich."
locale.flame_dungeon.say_5 = "Das Dungeon-Party sosokwon nicht verstrichene Zeit ist begrenzt, da die Position wurde vom Platz gestellt."
locale.flame_dungeon.say_6 = "Dungeon Position Grenzen wurden ausgeschaltet, weil die Zeit noch nicht abgelaufen ist, geschickt."
locale.flame_dungeon.say_7 = "Diese Stelle kann nicht sosokwon Partei Zertifizierung wurde abgeschickt."
locale.flame_dungeon.say_8 = "Verhandelbar Zertifikate wurden nicht abgeschickt."
locale.flame_dungeon.say_9 = "Sosokwon beiden Parteien nicht erreichen 100lv geschickt wurde."
locale.flame_dungeon.say_10 = "Noch nicht erreicht wurde, beenden 100lv."
locale.flame_dungeon.say_11 = "Jeokryong Schloss"
locale.flame_dungeon.say_12 = "Wollen Sie zum Schloss wirklich jeokryong gehen?"
locale.flame_dungeon.say_13 = "Gib"
locale.flame_dungeon.say_14 = "Geben Sie nicht."
locale.flame_dungeon.say_15 = "Der Fhrer der Partei, kann aber fr die Zulassung beantragen."
locale.flame_dungeon.say_16 = "Das Verlies Eingang ist eine Partei an den Staat."
locale.flame_dungeon.say_17 = "Sowohl die Verweilzeit abgelaufen ist, wird der Eintrag jeokryong gehen aus der Stadt."
locale.flame_dungeon.say_18 = "Retentionszeit jeokryong sex position %d Minuten."
locale.flame_dungeon.say_19 = "Alle Sex-Stellungen jeokryong Verweilzeit abgelaufen."
locale.flame_dungeon.say_20 = "Jeokryong wird aus der Stadt etwa 10 Sekunden bewegt."
locale.flame_dungeon.say_21 = "Jeokryong Geschlecht Verhalten."
locale.flame_dungeon.say_22 = "Der Fhrer der Partei, aber Sie knnen gehen."
locale.flame_dungeon.say_23 = "Jeokryong daegeon ausgeschaltet ist."
locale.flame_dungeon.say_24 = "Jeokryong sex position wird 1 Stunde, vollstndig oder in Entwicklung whrend jeokryong Stern wurde 30 Minuten gesendet aufrechterhalten werden, wenn die Position ist begrenzt."
locale.flame_dungeon.say_25 = "Jeokryong Stunde Sex-Stellungen zu halten berlassen."
locale.flame_dungeon.say_26 = "Daegeon jeokryong ausgeschaltet ist, einen Platz zum alles Bse zu besiegen."
locale.flame_dungeon.say_27 = "Alles Bse wird nicht besiegt noch."
locale.flame_dungeon.say_28 = "Ttet die restlichen: "
locale.flame_dungeon.say_29 = "Daegeon jeokryong ausgeschaltet ist, um einen Platz fr alle entsiegeln finden."
locale.flame_dungeon.say_30 = "Erforderlich, um die bsen Zhne erhalten lassen, wenn die Behandlung ist mglich."
locale.flame_dungeon.say_31 = "Jean Ritzel Dichtung kann nur off ausgeschaltet werden."
locale.flame_dungeon.say_32 = "Daegeon jeokryong freigegeben wird, um herauszufinden, wo die geheimnisvolle Jean Verliehen Incinerator."
locale.flame_dungeon.say_33 = "Jin lebt Incinerator Bars, jeokryong sex Dichtung ist fest."
locale.flame_dungeon.say_34 = "Verliehen Jean Incinerator finden Bars."
locale.flame_dungeon.say_35 = "Daegeon jeokryong freigegeben worden, um herauszufinden, wo man entsiegeln."
locale.flame_dungeon.say_36 = "Sealing Stone Church an der Wende jeokryong Bse erhalten wird."
locale.flame_dungeon.say_37 = "Sealing Stein wurde nicht beide entlassen."
locale.flame_dungeon.say_38 = "Jeokryong daegeon Di hearthstone ausgeschaltet ist, einen Ort zu zerstren finden."
locale.flame_dungeon.say_39 = "Ich glaube nicht, Ruhestein Di zerstrt werden, einer nach dem anderen, und sie sind bse."
locale.flame_dungeon.say_40 = "Di zu finden und zerstren den Ruhestein."
locale.flame_dungeon.say_41 = "Halten yamacheon Beat"
locale.flame_dungeon.say_42 = "Alle Monster besiegt wurden."
locale.flame_dungeon.say_43 = "Jeokryong Verhltnis im Laufe des nchsten jeokryong daegeon freizugeben."
locale.flame_dungeon.say_44 = "Beide wurden abgeriegelt."
locale.flame_dungeon.say_45 = "Der eigentliche Schlssel ist nicht"
locale.flame_dungeon.say_46 = "Bullion wurde von Jin Incinerator besiegt."
locale.flame_dungeon.say_47 = "Bitte zerlegen Sie das zweite Verzauberung"
locale.flame_dungeon.say_48 = "Bitte bauen Sie die dritte Chains."
locale.flame_dungeon.say_49 = "Falsche Reihenfolge."
locale.flame_dungeon.say_50 = "Bitte bauen Sie die vierte Chains."
locale.flame_dungeon.say_51 = "Ketten von vier oder fnf ersten Besuch demontieren."
locale.flame_dungeon.say_52 = "Ketten von vier oder fnf ersten Besuch demontieren."
locale.flame_dungeon.say_53 = "Ketten von vier oder fnf ersten Besuch demontieren."
locale.flame_dungeon.say_54 = "Di hearthstone besiegt wurde."
locale.flame_dungeon.say_55 = "Yeomwang yamacheon besiegt wurde."
locale.flame_dungeon.say_56 = "Sind aus der Stadt nach einer Minute jeokryong bewegt."
locale.flame_dungeon.say_57 = "Parteien nicht erreichen Kapitel 104Lv weitere Fortschritte ist nicht mglich."
locale.flame_dungeon.say_58 = "Partei kann nicht weiter vorgehen Behinderung verschwinden [ENTER]"
locale.flame_dungeon.say_59 = "Re-entry Zeit ist mehr als fnf Minuten ist nicht erlaubt. [ENTER]"
locale.flame_dungeon.say_60 = "Partei nicht mit Dungeon hayeotgeona starten."

locale.main_quest_flame_lv99 = {}
locale.main_quest_flame_lv99.say_1 = "ٽ ۵Ǵ "
locale.main_quest_flame_lv99.say_2 = "ȯ(20377)  ϰ ã ֽϴ.[ENTER]ȯ(20377) ڼ ̾߱⸦  Ͻʽÿ.[ENTER]"
locale.main_quest_flame_lv99.say_3 = " Գ.[ENTER] ʸ  ϴ  Ҿ.[ENTER] ʸ и ̴   ̶ ϰ ־ٳ.[ENTER]׷    ִ   ؼ,  ϰ ־ٳ.[ENTER]"
locale.main_quest_flame_lv99.say_4 = ". ̷ θ   ̱?[ENTER]"
locale.main_quest_flame_lv99.say_5 = "׷.[ENTER]׷  ״    Ȯ   ¶.[ENTER]׷ ڳװ   ͼ Ȯ ־ Ѵٳ.[ENTER]"
locale.main_quest_flame_lv99.say_6 = "ֱٵ ȭ ɻġ ʴٴ   鸮  , ϸ  Ȯ   ߴٳ.[ENTER]  ӿ ұϰ ƿ ʰ ִٳ.[ENTER]ȭ   ¼ ϴ ༮ε, и     ٳ.[ENTER]ڳװ ȭΰ,     ְԳ.[ENTER]ϳ༮ ãŵ  ȯ϶  ְ ̾.[ENTER]"
locale.main_quest_flame_lv99.say_7 = ". ˰ڽϴ.[ENTER]"
locale.main_quest_flame_lv99.say_8 = "Ͽ   ְ ޴ , 뷫 ġ ľ  ´   ǥ    ϼ.[ENTER]ٳ Գ.[ENTER]"
locale.main_quest_flame_lv99.say_9 = "ȯ(20377) ȭ  ǥø ־ϴ.[ENTER]Ȯ  (%d,%d) Դϴ."
locale.main_quest_flame_lv99.say_10 = "ȭ !"
locale.main_quest_flame_lv99.say_11 = "ȯ(20377) ˷   ϵ .[ENTER]"
locale.main_quest_flame_lv99.say_12 = "  ǥ  и   ̳.[ENTER]ڼ ƺ   ´°?[ENTER]ñ  ̴  ٳ ְԳ.[ENTER]"
locale.main_quest_flame_lv99.say_13 = "ȯ(20377) ˷  Ͽϴ.[ENTER]ȯ(20377) ư Ͻʽÿ."
locale.main_quest_flame_lv99.say_14 = "Ƿ決 ȯ(20377) ã  ɵ .[ENTER]"
locale.main_quest_flame_lv99.say_15 = "!  Ա ׷.[ENTER]  Դ°?[ENTER]"
locale.main_quest_flame_lv99.say_16 = " ǥֽ  , ƽԵ Ϻ  ã Ͽϴ.[ENTER]ֺ 캻   Ҹ 췷 鸮, ⽺  ϳ ߰Ͽϴ.[ENTER]"
locale.main_quest_flame_lv99.say_17 = "׷.[ENTER]ƹ  Ҿϱ ׷.[ENTER]ڳװ   ؼ  ϰ ٽ θ ϰڳ.[ENTER]"
locale.main_quest_flame_lv99.say_18 = "1-1"
locale.main_quest_flame_lv99.say_19 = "ڳװ  ˷   ؼ ˾  Ȱ ,  Ǹ  ϰ ִٳ.[ENTER]ƹ (20380)   ʿ    ׷.[ENTER] ڳ׿   ̴ (20380)  ְԳ.[ENTER](20380)    ˾ƺ   ̾.[ENTER]"
locale.main_quest_flame_lv99.say_20 = "Ƿ決 (20380) ã  ɵ .[ENTER]"
locale.main_quest_flame_lv99.say_21 = "(߾ ߾)[ENTER]¦̾ߡ  Ź  Ű [ENTER] Դٰ ⺰ ؾ   ƴѰ?[ENTER]׷.  Ϸ Դ°?[ENTER]"
locale.main_quest_flame_lv99.say_22 = "ȯ(20377)Բ    ֶ ϼ̽ϴ.[ENTER]"
locale.main_quest_flame_lv99.say_23 = "ȯ(20377)  ,   Ͻô     ׷.[ENTER]̵ Ȯ  ,    ְԳ.[ENTER]"
locale.main_quest_flame_lv99.say_24 = "ڳװ ٳ   α  ƾ   .[ENTER]ֺ      ̳. Ժη ٰ  ׸ġ Ǵ ϼ.[ENTER] ⽺ Ҹ Դٰ ϴ, ֺ     ͳ.[ENTER] ̸ ̴,   ֺ  óġ ְԳ.[ENTER]Ź  ū  óġϸ ˰  ̳.[ENTER]"
locale.main_quest_flame_lv99.say_25 = "ȯ(20377) Ͽ  ֺ  óġ."
locale.main_quest_flame_lv99.say_26 = " ֺ  óġ."
locale.main_quest_flame_lv99.say_27 = "ȯ(20377) Ͽ  ֺ  óġ .[ENTER]"
locale.main_quest_flame_lv99.say_28 = "и ֺ Ź  ޾ ε.[ENTER] Ȯϰ   ´°?[ENTER]ٽ ѹ ٳ ְԳ.[ENTER]"
locale.main_quest_flame_lv99.say_29 = "(20380)  ̰ ˰ Ͽ. (20380) ."
locale.main_quest_flame_lv99.say_30 = "Ա׷.[ENTER] Ź      ִ ̱.[ENTER] ̿  Ź⸦ 縦 غƾ ϴ ϴ ư  ְԳ.[ENTER]"
locale.main_quest_flame_lv99.say_31 = "1-2"
locale.main_quest_flame_lv99.say_32 = "(20380)  ϰ ã ֽϴ.[ENTER](20380) ڼ ̾߱⸦  Ͻʽÿ.[ENTER]"
locale.main_quest_flame_lv99.say_33 = "Գ.[ENTER]ڳװ  ŹⰡ  ̸   ִ  .[ENTER]Ź Ϲ ϸ  Ź ,  ǿ Ͽ Ѵٳ.[ENTER]׷ ̹ 縦 ϴ ߿   ʰ  Ǿ ̾.[ENTER]"
locale.main_quest_flame_lv99.say_34 = "׷. ɻġ  ° ̴   ʸ   ϰڽϴ.[ENTER]"
locale.main_quest_flame_lv99.say_35 = ".[ENTER]ڳ״  ׸ ġ [ENTER]ʴ ⸦  ϴ ߿  Ѵٳ.[ENTER]׷ٺ Ⱑ ġ  ڻ Ѵٳ.[ENTER]ȭ  ̰,  ʿ  ڳװ ٳԳ.[ENTER]     ̾.[ENTER]   ؼ Ȯ ʴٳ.[ENTER]"
locale.main_quest_flame_lv99.say_36 = ". ˰ڽϴ.[ENTER] ٳ  ϰڽϴ.[ENTER]"
locale.main_quest_flame_lv99.say_37 = "(20380)  ǥ  ¾(31076) ؿ"
locale.main_quest_flame_lv99.say_38 = "¾(31076) ."
locale.main_quest_flame_lv99.say_39 = "(20380)   ġ ʸ ؿ.[ENTER]"
locale.main_quest_flame_lv99.say_40 = "̺[ENTER]̸ ¼ڴ ΰհ?[ENTER] ¾(31076)   ̻ 簡 ƴ ϼ.[ENTER]ٽ ٳ ְԳ.[ENTER]"
locale.main_quest_flame_lv99.say_41 = "(20380) ϴ ¾(31076) ߰Ͽ. (20380) ."
locale.main_quest_flame_lv99.say_42 = "׷. ٷ   ϼ.[ENTER] 縦    ְ Ǿ ׷.[ENTER]簡 Ϸǰŵ ȯ(20377)Կ Ϸ ̴ ߿  ϰԳ.[ENTER]"

locale.main_quest_flame_lv100 = {}
locale.main_quest_flame_lv100.say_1 = "Ź ü"
locale.main_quest_flame_lv100.say_2 = "ȯ(20377)  ϰ ã ֽϴ.[ENTER]ȯ(20377) ڼ ̾߱⸦  Ͻʽÿ.[ENTER]"
locale.main_quest_flame_lv100.say_3 = " Գ.[ENTER]ڳװ (20380)   п Ȱϰ 簡  Ǿٳ.[ENTER]ϴ   ڳ׿ ˷ ֵ ϰڳ.[ENTER]"
locale.main_quest_flame_lv100.say_4 = "(20380)  ϸ, ڳ׿    α   ٸ  Ͽ[ENTER]  ̶ ϴ.[ENTER]   Ǹ    ̵Ǹ,    ̰ ȴٴ±.[ENTER]ϴ ŹⰡ  ͺ ƾ, ֺ ذ    ̴± ׷.[ENTER]"
locale.main_quest_flame_lv100.say_5 = "׷ٸ, ŹⰡ    ؼ  Ͽ մϱ?[ENTER]"
locale.main_quest_flame_lv100.say_6 = "׷ ʾƵ, Ź   ؼ ݼ(20001) ǰ  Ҵٳ.[ENTER]ݼ(20001)   浵 ̴,  ̻  ʵ  óġ ְԳ.[ENTER] ó   ʰ 300 óġϸ    ϳ.[ENTER]"
locale.main_quest_flame_lv100.say_7 = ".    ϰڽϴ.[ENTER]"
locale.main_quest_flame_lv100.say_8 = ".   ϰ ְڳ.[ENTER]"
locale.main_quest_flame_lv100.say_9 = "ȯ(20377) Ͽ  ֺ  óġ."
locale.main_quest_flame_lv100.say_10 = "ȭ  óġ!"
locale.main_quest_flame_lv100.say_11 = "ȯ(20377) Ͽ  ֺ  óġ.[ENTER]"
locale.main_quest_flame_lv100.say_12 = "  óġ ϰ  ΰ?[ENTER]ϵ δ  ġ ʾ ̳׸.[ENTER]  óġϰ ְԳ.[ENTER]"
locale.main_quest_flame_lv100.say_13 = "ֺ   óġϿ.[ENTER]ȯ(20377) ϵ ."
locale.main_quest_flame_lv100.say_14 = "Ƿ決 ȯ(20377) ã  ɵ .[ENTER]"
locale.main_quest_flame_lv100.say_15 = "̸ ϰ  óġ  [ENTER]ݼ(20001)Դ  ֺ  óġ  ˸ ̴  ְԳ.[ENTER]"
locale.main_quest_flame_lv100.say_16 = "Ź 1-1"
locale.main_quest_flame_lv100.say_17 = "ݼ(20001)  ϰ ã ֽϴ.[ENTER]ݼ(20001) ڼ ̾߱⸦  Ͻʽÿ.[ENTER]"
locale.main_quest_flame_lv100.say_18 = "̷ 桦[ENTER]ȯ(20377)Բ ׸ ϰ ൿ ޶ Ź ߰Ǹ,  Ŀ ұ ׷.[ENTER]Ź  鼭 Ư    ִµ 300 Ǵ [ENTER]  ū̳.[ENTER]"
locale.main_quest_flame_lv100.say_19 = " Ȳ  ȭ Ǿ ִ ̳.[ENTER]Դٰ  Ź⸦ Ϸ  (31084) ڶ Ǿ ȴٳ.[ENTER]   ٸ  óġϰ Ǹ, ŹⰡ     ִٳ.[ENTER]ڶ Ǿ  ڳװ Ḧ   ־  ̾.[ENTER]"
locale.main_quest_flame_lv100.say_20 = ". ˰ڽϴ. ᰡ Դϱ?[ENTER]"
locale.main_quest_flame_lv100.say_21 = "ڳװ     ṉ̀[ENTER]ü ϱⰡ   ͵̶󼭡[ENTER]ϴ ˷ֵ !![ENTER](31084)  ؼ ʼ(90010)10,  (30010) 50, Ź ָӴ(30025)10, Ȱ(51001) 200 ʿϴٳ.[ENTER] ڳ Ǵ ̶    ִ ̴  ϰڳ.[ENTER]"
locale.main_quest_flame_lv100.say_22 = "   ִ  ƴϱ. ٳ ϰڽϴ.[ENTER]"
locale.main_quest_flame_lv100.say_23 = "˰ڳ. 츮 ̷  ϴ ߿ ŹⰡ   ѷ ְԳ.[ENTER]"
locale.main_quest_flame_lv100.say_24 = "ݼ(20001)  (31084) ϼϵ ."
locale.main_quest_flame_lv100.say_25 = " "
locale.main_quest_flame_lv100.say_26 = "(31084)  Ḧ ."
locale.main_quest_flame_lv100.say_27 = "ݼ(20001) Ϸ Ḧ ϵ .[ENTER]"
locale.main_quest_flame_lv100.say_28 = "~   ῴ ε.[ENTER]ɵ  Ա ׷.[ENTER](31084)  θ ̴ Գ.[ENTER]"
locale.main_quest_flame_lv100.say_29 = "̺.  ڵ ؾƸ ϴ  ̴ հ?[ENTER]  Ḧ Ȯ ְԳ.[ENTER]  ð Ź âϰ ִٳ.[ENTER]"
locale.main_quest_flame_lv100.say_30 = "(31084)  Ḧ  ȮϿ. ݼ(20001) ֵ ."
locale.main_quest_flame_lv100.say_31 = "Ƿ決 ݼ(20001) ã  ɵ .[ENTER]"
locale.main_quest_flame_lv100.say_32 = "Ź 1-2"
locale.main_quest_flame_lv100.say_33 = "̷̷[ENTER]   ÿ (20016)  ŷȴ, ʼ(90010)    ʴ ׷[ENTER]ʼ(90010)   ٸ  Բ Ͽ  ϼϴµ ̾ߡ[ENTER]ɻ   ׷, ڳװ ̰  ʼ(90010)    ְڳ?[ENTER]"
locale.main_quest_flame_lv100.say_34 = " ϼ̱⿡[ENTER]ϴ ˰ڽϴ. ʼ(90010)  ٱϸ ֽ.[ENTER]"
locale.main_quest_flame_lv100.say_35 = ". ٸ ְڳ.[ENTER]"
locale.main_quest_flame_lv100.say_36 = "(20016) ٳ."
locale.main_quest_flame_lv100.say_37 = "(20016) ʼ(90010)   .[ENTER]"
locale.main_quest_flame_lv100.say_38 = "ʼ(90010): 1[ENTER]"
locale.main_quest_flame_lv100.say_39 = "̱   ̽ʴϱ?[ENTER]   緯  شϱ?[ENTER]"
locale.main_quest_flame_lv100.say_40 = "~ٸ ƴ϶ ݼ(20001)Բ ̾߱ ϴ.[ENTER]ñ ñ ŭ  ûϷ Խϴ.[ENTER]ݼ(20001)Բ  ãư   ̾ϰ ϸ,   ٱϸ ̽ϴ.[ENTER]"
locale.main_quest_flame_lv100.say_41 = "졦 Ƽ ְ  [ENTER]Բ  ̷ ãֽð,  ǥ Ͽ ʼ(90010) Ƶ帮.[ENTER]ø ٸʽÿ.[ENTER]"
locale.main_quest_flame_lv100.say_42 = ". մϴ.[ENTER]"
locale.main_quest_flame_lv100.say_43 = "ڳ. տ ʼ(90010) ٱϰ ״ [ENTER] ٳ ְԳ.[ENTER]"
locale.main_quest_flame_lv100.say_44 = "ʼ(90010)  Ҵ. ݼ(20001) .[ENTER]"
locale.main_quest_flame_lv100.say_45 = "~(20016)  ޾ ̱ ׷.[ENTER]  ϰ ƾ[ENTER]  ʼ(90010)  ְ  ְԳ.[ENTER] ϼ Ǹ θ ϰڳ.[ENTER]"

locale.main_quest_flame_lv101 = {}
locale.main_quest_flame_lv101.say_1 = " ü"
locale.main_quest_flame_lv101.say_2 = "ȯ(20377)  ϰ ã ֽϴ.[ENTER]ȯ(20377) ڼ ̾߱⸦  Ͻʽÿ.[ENTER]"
locale.main_quest_flame_lv101.say_3 = " Գ.[ENTER]ݼ(20001)Դ ڳ  ؼ  ٳ.[ENTER]    ڳװ     ׷.[ENTER]̾ϰ Ѵٳ.[ENTER]"
locale.main_quest_flame_lv101.say_4 = "̾  ̾ ̰, ñ  ޹ϰ Ǿ Ǹ  ϵ ϰڳ.[ENTER]ݼ(20001) (31084)  ǳ ޾Ҵٳ.[ENTER]   ٸ óġ  ŹⰡ   Ͽ شٳ.[ENTER]"
locale.main_quest_flame_lv101.say_5 = "࿡     ϰ, ڳװ ־   ˷ ְڳ.[ENTER]  غ Ǿ, 츮 ߰    ڼ ˾  ʿ䰡 ִٳ.[ENTER]ŹⰡ  ͵ ׷, и Ͽ  óġϴٺ,  ܼ   ϳ.[ENTER]ڳװ   Ͽ, Ȯ ְԳ.[ENTER]"
locale.main_quest_flame_lv101.say_6 = "ơ࿩  ϰ ߰ ǰŵ  Ƽ ȯ϶  ְԳ.[ENTER] ο ϸ,  ϰ     Ƽ ̾.[ENTER]"
locale.main_quest_flame_lv101.say_7 = ".    ϰڽϴ.[ENTER]"
locale.main_quest_flame_lv101.say_8 = ".   ϰ ְڳ.[ENTER]"
locale.main_quest_flame_lv101.say_9 = "  óġϿ ܼ ȯ (20393) 縦 Ȯ."
locale.main_quest_flame_lv101.say_10 = "ȭ  óġ!"
locale.main_quest_flame_lv101.say_11 = "ȯ(20377) Ͽ  ֺ  óġ.[ENTER]"
locale.main_quest_flame_lv101.say_12 = "ش   Ұմϴ.[ENTER]   Ƽ ξ Ͻñ ٶϴ.[ENTER]޵  ߱  ʽϴ.[ENTER]"
locale.main_quest_flame_lv101.say_13 = "̺.  Ѱؼ ڳ׿ Ź ߰ڳ?[ENTER]и   ܼ ã   ̾.[ENTER] ٳ ְԳ.[ENTER]"
locale.main_quest_flame_lv101.say_14 = "ϴ ׾ִ. 㸮㿡   ȯ(20377) .[ENTER]"
locale.main_quest_flame_lv101.say_15 = "ȯ(20377)  (20393)  Ȯ Ͽ."
locale.main_quest_flame_lv101.say_16 = "ϴ  Ѱ?[ENTER]"
locale.main_quest_flame_lv101.say_17 = "ƽԵ Ϻ  ŵ ڿϴ.[ENTER]㸮㿡  ߰Ͽ .[ENTER]"
locale.main_quest_flame_lv101.say_18 = " ߿  ϰڳ.[ENTER]ܼ     ܼ ȮϿ ƿ ְԳ.[ENTER]"
locale.main_quest_flame_lv101.say_19 = "ȯ(20377)  ܼ Ȯ Ͽ."
locale.main_quest_flame_lv101.say_20 = " ܼ   ׷.[ENTER]  ΰ .[ENTER] ϴ и    ̾.  Ȯ ٽ  ְԳ.[ENTER]"
locale.main_quest_flame_lv101.say_21 = "ȯ(20377)  ܼ (20393)   Ȯ Ͽ.[ENTER]ȯ(20377) ϵ ."
locale.main_quest_flame_lv101.say_22 = "Ƿ決 ȯ(20377) ã  ɵ .[ENTER]"
locale.main_quest_flame_lv101.say_23 = "~ٳԱ ׷.[ENTER]ܼ  ϰ ݴ տ  ִ  ΰ?[ENTER]"
locale.main_quest_flame_lv101.say_24 = "ơ̰ Ϻ  ǰ Դϴ.[ENTER]߰Ͽ  ̹  ޸ϼ̰, ǰ ̰ ߰ Ͽϴ.[ENTER]"
locale.main_quest_flame_lv101.say_25 = "׷ Ƴ Ͽµ ϼ  Ȯϰ, ̳ ø ־ ڳס[ENTER]ϴ   ѹ  ϼ.[ENTER]"
locale.main_quest_flame_lv101.say_26 = "ȯ (20393)"
locale.main_quest_flame_lv101.say_27 = "   ڴ Ƿ決  ִ ȯ(20377)Բ ε ֱ ٶס(߷)[ENTER]ȯ(20377) ȭ  ϴ ,   ߰Ͽ Ͽ.[ENTER]̷ ȯ ϰ,  ϴ.(߷)[ENTER]      ϰ, ȭϸ  Ű  ϴ.[ENTER]     ¢ Ҹ Ͽϴ.[ENTER]и   ̴,   ðŵ  ڸ Ͽ Ͻñ ϴ.[ENTER] ϼ   帳ϴ.[ENTER]"
locale.main_quest_flame_lv101.say_28 = " Ͽµ, ٽ     ׷.[ENTER]  и   ڸ ̴,   ϰ 縦  ƾ ڱ ׷.[ENTER] д ڳ׵  Ҵ  ʸ ϼ.[ENTER](20380) ǳ ̴ (20380) ãŵ  ϰԳ.[ENTER]"
locale.main_quest_flame_lv101.say_29 = "ʸ  ص"
locale.main_quest_flame_lv101.say_30 = "(20380)  ϰ ã ֽϴ.[ENTER](20380) ڼ ̾߱⸦  Ͻʽÿ.[ENTER]"
locale.main_quest_flame_lv101.say_31 = "Գ.[ENTER]ٸ ־ٳ.[ENTER]ȯ(20377) ֽ и  ٽñ    ٳ.[ENTER]ȯ(20377)Բ ̸⸦  и صϸ         ϼ̴ٳ.[ENTER]׷ ̴ ڳװ    и صϴ  ְԳ.[ENTER]"
locale.main_quest_flame_lv101.say_32 = ". ΰ ְڽϱ![ENTER]"
locale.main_quest_flame_lv101.say_33 = " ڼα ׷.[ENTER]ǳ  ķ и ϰ 캸 縦 غ   п    ִ  Ȯ Ͽٳ.[ENTER]   صϿ ˷ְ ,  ߿ Ѽ Ǽ ˾    ׷.[ENTER] и ϱ ؼ Ҳɺ ̰߰ Ÿ ǰ ʿϴٳ.[ENTER] ϸ ȭ (31080) ʿ ε.[ENTER]   ̴ ȭ(2206) óġϰ ⿡ ȭ (31080) ޾ƿ ְԳ.[ENTER]"
locale.main_quest_flame_lv101.say_34 = ". ˰ڽϴ.[ENTER]"
locale.main_quest_flame_lv101.say_35 = "ϰŵ  ƿԳ.  Ե ð ȭ (31080) ߵ  ̾.[ENTER]"
locale.main_quest_flame_lv101.say_36 = "ȭ ִ ȭ(2206) óġϰ Ǹ Կ ޾ƿ."
locale.main_quest_flame_lv101.say_37 = "и صϰ   հ?[ENTER] ȭ (31080)  ϼ.[ENTER]"
locale.main_quest_flame_lv101.say_38 = "ȭ(2206)Լ Ǹ ȮϿ. (20380) ư."
locale.main_quest_flame_lv101.say_39 = "Ƿ決 (20380) ã  ɵ .[ENTER]"
locale.main_quest_flame_lv101.say_40 = "ȭ (31080) ± ׷.[ENTER]ϴµ ð ټ ɸ  ٽ Գ.[ENTER]  ְ  ¿  ٳ.[ENTER]"
locale.main_quest_flame_lv101.say_41 = "ܿð : %dð %d"
locale.main_quest_flame_lv101.say_42 = " ð  ʾ ʴ°?[ENTER]߿ ٽ Գ.[ENTER]"
locale.main_quest_flame_lv101.say_43 = " "
locale.main_quest_flame_lv101.say_44 = "Ա ׷.[ENTER]а ص Ǿ.[ENTER]ص ϸ鼭   о Ҵµ, ̰     ִ ׷.[ENTER]  ˷ ֵ .[ENTER]"
locale.main_quest_flame_lv101.say_45 = "д ʸ  иϳ.[ENTER]ڳװ óġ ߿ и ϰ     𸣰,[ENTER]ʸ 6      ,   Ϸ Ѵٴ ̳.[ENTER] Ӹ ƴ϶, ÿ Ͽ  Ǿ ִٳ.[ENTER]ڼ   ſ ξ ȯ(20377)Բ  ְԳ.[ENTER]"
locale.main_quest_flame_lv101.say_46 = ". ڼ  ȯ(20377) ˷ֽ ̾.[ENTER]"
locale.main_quest_flame_lv101.say_47 = "(20380)   ȯ(20377) ."
locale.main_quest_flame_lv101.say_48 = "ȯ(20377)  !"
locale.main_quest_flame_lv101.say_49 = "ȯ(20377) (20380)   .[ENTER]"
locale.main_quest_flame_lv101.say_50 = ". (20380)Դ  ٳ.[ENTER] ְԳ.[ENTER]"
locale.main_quest_flame_lv101.say_51 =  "̰  ɰϱ ׷.[ENTER]6 ε  ʸ    Ϸ Ѵٴ   ̰,[ENTER]ÿ ؼ ˷ְڳ.[ENTER] (20380)  , 6 ϰ ̿ϴ ذ谡 ִ  Ѵٳ.[ENTER]ʸܵ ʸ  󼭴  ʰ    ִ .[ENTER]"
locale.main_quest_flame_lv101.say_52 = "ȭ ȭ(2206) óġϰ Ǹ ޾ƿ.[ENTER]"
locale.main_quest_flame_lv101.say_53 = " ذ  ʴ       ,  츮  ξ  [ENTER]ʸ 6濡  ´ٴ ̳.[ENTER]Դٰ ȭ Ͱ 6   ̷  ÿ   漺(zone1)  ̳.[ENTER]ƹ 漺(zone1) ʿ Ͽ ϰ ˾ƺ ʿ䰡   .[ENTER]浵 ϰ ٽ ⺰  ̴   ְԳ.[ENTER]"

locale.main_quest_flame_lv102 = {}
locale.main_quest_flame_lv102.say_1 = ""
locale.main_quest_flame_lv102.say_2 = "ȯ(20377)  ϰ ã ֽϴ.[ENTER]ȯ(20377) ڼ ̾߱⸦  Ͻʽÿ.[ENTER]"
locale.main_quest_flame_lv102.say_3 = " ̾߱  漺(zone1)   ̷ θ Ǿٳ.[ENTER]   ϰ  ׾ٴ , װ 6 ϳ     Ǵ  [ENTER]Կ Ű    ΰ ƴϳ.[ENTER]"
locale.main_quest_flame_lv102.say_4 = "ڳװ   漺(zone1) α  óġϿ ŹⰡ   п  ϵ  ֺ Ͽٳ.[ENTER] ܺη ذ      ̳.[ENTER] ڳװ   漺(zone1) Ͽ   ִ,     ´ Ȯ ־ Ѵٳ.[ENTER]"
locale.main_quest_flame_lv102.say_5 = ". ˰ڽϴ.[ENTER]"
locale.main_quest_flame_lv102.say_6 = ".[ENTER]ѹ ο    븩̴, ȿ ִ  óġϰ  Ÿ  30  ְԳ.[ENTER]׷ Ź ϰڳ.[ENTER]"
locale.main_quest_flame_lv102.say_7 = "漺(zone1)  óġϰ Ÿ ."
locale.main_quest_flame_lv102.say_8 = "漺(zone1) !"
locale.main_quest_flame_lv102.say_9 = "ȯ(20377) ɿ  漺(zone1) Ͽ, ôĸ .[ENTER]"
locale.main_quest_flame_lv102.say_10 = "%s : %d %s : %d"
locale.main_quest_flame_lv102.say_11 = "%s  : %d %s  : %d"
locale.main_quest_flame_lv102.say_12 = " óġ ƾ    ľϰ    ִٳ.[ENTER] Ͽ Ÿ   ְԳ.[ENTER]"
locale.main_quest_flame_lv102.say_13 = "漺(zone1)  óġ Ÿ  ȮϿ.[ENTER]ȯ(20377) ϵ ."
locale.main_quest_flame_lv102.say_14 = "Ƿ決 ȯ(20377) ã  ɵ .[ENTER]"
locale.main_quest_flame_lv102.say_15 = "~Ա ׷.[ENTER]ϴ Ŵ      ׷.[ENTER]ڳװ  ü  Ѱ?[ENTER]"
locale.main_quest_flame_lv102.say_16 = "ȭ ִ 鵵 , 漺(zone1)   ޸ ټ Ͽϴ.[ENTER] ۿ ó    Ͽ ϸ  ȯ   ߽ϴ.[ENTER] غ     漺(zone1) Ű ִ  ߸õ(6091)̶  Ȯ   ־ϴ.[ENTER]"
locale.main_quest_flame_lv102.say_17 = "׷. Ź ⸸  ƴϾ.[ENTER]ʸ ༮ ̹ ܴ ϰ ϰ .[ENTER]ٽ θ  ̴ Գ.[ENTER]"
locale.main_quest_flame_lv102.say_18 = " ߸õ(6091)?!"
locale.main_quest_flame_lv102.say_19 = "(20380)  ϰ ã ֽϴ.[ENTER](20380) ڼ ̾߱⸦  Ͻʽÿ.[ENTER]"
locale.main_quest_flame_lv102.say_20 = "ȯ(20377)Կ  .[ENTER]漺(zone1)  ߸õ(6091) ˰ Ǿٰ .[ENTER]̸   ༮ [ENTER]"
locale.main_quest_flame_lv102.say_21 = " 󵵡[ENTER]"
locale.main_quest_flame_lv102.say_22 = " ̶  !![ENTER] ߸õ(6091)  Ѹ(6191) Ҿ ϰ ǵ ߿ ϳ.[ENTER]   Կ ־  ū ɸ    ִ ༮̶.[ENTER]"
locale.main_quest_flame_lv102.say_23 = "ϴ    ǳ ؼ ˰Ե ̱ ,  Ȯ  ˾ƾ߸ ȯ(20377)Բ  帱    ̳.[ENTER]ڳװ  ͼ ߸õ(6091)   Ȯ ְԳ.[ENTER]"
locale.main_quest_flame_lv102.say_24 = "  ͵帮 ˴ϱ?[ENTER]"
locale.main_quest_flame_lv102.say_25 = " ߸õ(6091) Ź⸦ ۶߸ ֹ ƴ Ȯ  ¿[ENTER]߸õ(6091) ٷ ϴ    ϳ.[ENTER]ϴ 漺(zone1)    ְԳ.[ENTER]ŹⰡ   и Ź  Ͽ ȿ ϰ  ̳.[ENTER]Ź⸦ ȭų 浵 ϰ ߸õ(6091) ص   ̴ Ź ü(31081)  10 ش ְԳ.[ENTER]"
locale.main_quest_flame_lv102.say_26 = "˰ڳ. ׷ ٸ ְڳ.[ENTER]"
locale.main_quest_flame_lv102.say_27 = "漺(zone1)  óġϰ Ź ü(31081) ."
locale.main_quest_flame_lv102.say_28 = "Ź ü(31081) !"
locale.main_quest_flame_lv102.say_29 = "漺(zone1) Ͽ, Ź ü(31081) .[ENTER]"
locale.main_quest_flame_lv102.say_30 = "޵  ߱  ʽϴ.[ENTER]"
locale.main_quest_flame_lv102.say_31 = "̺    Ͽ?[ENTER]ڳ׶    س   ̶ ǴϿŴá[ENTER]ٽ ٳ ְԳ![ENTER]"
locale.main_quest_flame_lv102.say_32 = "漺(zone1)  óġϰ Ź ü(31081)  Ͽ. [ENTER](20380) ."
locale.main_quest_flame_lv102.say_33 = "~⸸ص ŹⰡ     .[ENTER]ڳװ  ϱ Ѱ .[ENTER]ϰ Ź ü(31081)    ʾҴµ [ENTER]  ȭ 浵 ã ڳ׸ θ ϰڳ.[ENTER]Գ.[ENTER]"
locale.main_quest_flame_lv102.say_34 = "( ؾ    ١)[ENTER]"
locale.main_quest_flame_lv102.say_35 = "Ź ȭ"
locale.main_quest_flame_lv102.say_36 = "߿Գ.[ENTER] Ź⸦ ȭ ų 浵 ãҳ.[ENTER]Ź⸦ ȭ ų  ־߸, 漺(zone1) Ͽ ƿ   ̴ ϼ.[ENTER]ڳ ȥ  óġѴٸ  , װ  ȯ(20377) ϵ Բ Ͽ[ENTER]ټ ϰ     ̳.[ENTER]"
locale.main_quest_flame_lv102.say_37 = " 浵  Դϱ?[ENTER]"
locale.main_quest_flame_lv102.say_38 = " Գ.[ENTER]׷ ʾƵ  ̴ ϼ.[ENTER]  Ź⸦  Ҷ  ȭ ؼ ˰ Ǿ ̴ ڼ  ϰڳ.[ENTER]Ұ ,      ִ !![ENTER]Ź    ȭ ų  ִٳ.[ENTER]  ũ ᱹ ȭ .[ENTER]"
locale.main_quest_flame_lv102.say_39 = "ڳ ȯ(50819)̶   ̳. ȯ(50819) Ȱ(51001) ̸     ȴٳ.[ENTER]̰  ¿ 漺(zone1)  Ҷ ū ȿ ϰ    ̾.[ENTER]  縮 ϼ  ʱ⶧, ȯ(50819) 50 Ȱ(51001) 100 ؼ ǻ ȯ(20017)  ְԳ.[ENTER]"
locale.main_quest_flame_lv102.say_40 = "˰ڳ.  ڳ.[ENTER]"
locale.main_quest_flame_lv102.say_41 = "ȯ(50819) Ȱ(51001)  ǻ ȯ(20017) ."
locale.main_quest_flame_lv102.say_42 = "Ź ȭ Ḧ !"
locale.main_quest_flame_lv102.say_43 = "ȯ(50819) Ȱ(51001) .[ENTER]"
locale.main_quest_flame_lv102.say_44 = " ģ ó  ׷.[ENTER]  ñ⵵ ϰ, Ƿθ  Ǯ ְԳ.[ENTER]"
locale.main_quest_flame_lv102.say_45 = "(20380)Բ   ͺ ٳ.[ENTER]  ؿ  ̷ .[ENTER]  ᵵ  ش ְ.[ENTER]"
locale.main_quest_flame_lv102.say_46 = "ȯ(50819) Ȱ(51001)  ߴ. ǻ ȯ(20017) ."
locale.main_quest_flame_lv102.say_47 = "ǻ ȯ(20017) ã  ɵ .[ENTER]"
locale.main_quest_flame_lv102.say_48 = "ȭ  "
locale.main_quest_flame_lv102.say_49 = "ǻ ȯ(20017)  ϰ ã ֽϴ.[ENTER]ȯ(20017) ڼ ̾߱⸦  Ͻʽÿ.[ENTER]"
locale.main_quest_flame_lv102.say_50 = ".[ENTER]ڳװ   ȭ  ٳ.[ENTER]ζ   ; , Ϻδ  ߿ Ͽ   ٱ Ͽ.[ENTER]׷   , ȯ(20377)Բ ְԳ.[ENTER]"
locale.main_quest_flame_lv102.say_51 = "׷ ̶ Ͽµ  ȯ  ܴմϱ?[ENTER]"
locale.main_quest_flame_lv102.say_52 = " ģ ׷   Ű  Գ.[ENTER] ŭ Ͽ ׸  ̳.[ENTER]"
locale.main_quest_flame_lv102.say_53 = "׷ Ź Լ.[ENTER]"
locale.main_quest_flame_lv102.say_54 = "ǻ ȯ(20017)  ȭ  ȯ(20377) ."
locale.main_quest_flame_lv102.say_55 = " տ  ȭ  ִ ΰ?[ENTER] ȯ(20377)Բ ȭ  ְԳ.[ENTER]"
locale.main_quest_flame_lv102.say_56 = "~Գ.[ENTER] ٸ ־ٳ.[ENTER]ȯ(20017)Ե  ̹   ̾.[ENTER]ȭ   Դ°?[ENTER]"
locale.main_quest_flame_lv102.say_57 = ". Ͽ  ȯ Ǿϴ.[ENTER]漺(zone1)  ÿ ϰ    ϴ.[ENTER]"
locale.main_quest_flame_lv102.say_58 = "׷. Ͽ.[ENTER]ϵ Բ  غ Ͽϰ ȭ  ΰ Գ.[ENTER]׸ ϳ ڳװ  .[ENTER]ƹ ڳװ ū     Ƽ ̾.[ENTER]߿   ÿ θ ϰڳ.[ENTER]"

locale.main_quest_flame_lv103 = {}
locale.main_quest_flame_lv103.say_1 = "漺(zone1) "
locale.main_quest_flame_lv103.say_2 = "ȯ(20377)  ϰ ã ֽϴ.[ENTER]ȯ(20377) ڼ ̾߱⸦  Ͻʽÿ.[ENTER]"
locale.main_quest_flame_lv103.say_3 = ".[ENTER]å Ǹ Ͽ,  縦 ߷ ȭ    ð Ͽٳ.[ENTER]ȿ ϴ ׷.[ENTER]¸ û    Ƿ,  ö󰡴.[ENTER]׷ 漺(zone1) İ Ͽٳ.[ENTER]"
locale.main_quest_flame_lv103.say_4 = "ϵ   Ͽ ڳװ  ڵ      ̾.[ENTER] ϵ Բ 漺(zone1) , ϴٸ ߸õ(6091) óġ Źϳ.[ENTER] 켱  Ͽ   ϸ ã ٶ.[ENTER]ڳװ   Ϸ  ̳.[ENTER]"
locale.main_quest_flame_lv103.say_5 = ". ˰ڽϴ.[ENTER]"
locale.main_quest_flame_lv103.say_6 = "׷ Ź Լ.[ENTER]"
locale.main_quest_flame_lv103.say_7 = "漺(zone1) ȯ (20393) ã."
locale.main_quest_flame_lv103.say_8 = "ȯ (20393) ã."
locale.main_quest_flame_lv103.say_9 = "漺(zone1)  ȯ (20393) ã.[ENTER]"
locale.main_quest_flame_lv103.say_10 = "̺. Ȱ  ٽ °Ծ.[ENTER] 漺(zone1) ϰԳ.[ENTER]"
locale.main_quest_flame_lv103.say_11 = "롦ԡϴ١[ENTER] ϰ  Ͽ, ᱹ ߸õ(6091) е  տ[ENTER] ϰ ҽϴ.[ENTER]ȥڼ ذ   ִ κ ƴϴ ȯ(20377)Բ  ֽ.[ENTER]"
locale.main_quest_flame_lv103.say_12 = "Ƿ決 ȯ(20377) ã  ɵ .[ENTER]"
locale.main_quest_flame_lv103.say_13 = "    ׷.[ENTER]漺(zone1) ذϰ  ΰ?[ENTER]"
locale.main_quest_flame_lv103.say_14 = "ơװԡ[ENTER]"
locale.main_quest_flame_lv103.say_15 = "̱⿡ ׸  帮 հ?[ENTER] ̶ ־?[ENTER]"
locale.main_quest_flame_lv103.say_16 = "ȭ    ϰ ȭϿ 漺(zone1)  Ͽ,  ߸õ(6091)  Ͽϴ.[ENTER] 뵵   簡 ܿ  ϰ  ޸ Ͽϴ.[ENTER]ټ ϰ    ȭ  ϴ.[ENTER]"
locale.main_quest_flame_lv103.say_17 = " ׾[ENTER]  Ǵ ϵ    ̷α[ENTER] ٵ ڳ.[ENTER]⺰  ̴ ϰ ְԳ.[ENTER]"
locale.main_quest_flame_lv103.say_18 = " "
locale.main_quest_flame_lv103.say_19 = " °հ?[ENTER]   Ͽ,    .[ENTER]ʸ  Ͽϴ ߿ ṉ̃⿡ ⼭    ٳ.[ENTER]׸Ͽ,   ڳ׸  ϴ å غϿ.[ENTER]"
locale.main_quest_flame_lv103.say_20 = "ϴ ڳװ    ̱⿡ ׿ ´ å̴ ʹ  Գ.[ENTER] ȭ      Ǿ.[ENTER]̹ ȭ  Ͽ 縦 ȭ ̳.[ENTER]׷  ߸õ(6091) óġ 츮ʿ   , 츮  ܺη[ENTER]âϷϴ   ̳.[ENTER]"
locale.main_quest_flame_lv103.say_21 = "  ڳ״ 漺(zone1) Ͽ,  1õ  ʰ  ְԳ.[ENTER] ؼ     Ѵٸ ߸õ(6091)  ̰, ϴ ƴ[ENTER]ȸ и   ̾.[ENTER]Źϰڳ.[ENTER]"
locale.main_quest_flame_lv103.say_22 = ". ˰ڽϴ.[ENTER]"
locale.main_quest_flame_lv103.say_23 = "漺(zone1) Ͽ 漺(zone1)  óġ."
locale.main_quest_flame_lv103.say_24 = " ."
locale.main_quest_flame_lv103.say_25 = "漺(zone1) Ͽ,  1000 .[ENTER]"
locale.main_quest_flame_lv103.say_26 = "޵  ߱  ʽϴ.[ENTER]"
locale.main_quest_flame_lv103.say_27 = "      ׷.[ENTER]漺(zone1)    âϰ  ̾.[ENTER]ǿ  ,  ٳԳ.[ENTER]"
locale.main_quest_flame_lv103.say_28 = "漺(zone1)  1000  Ͽ.[ENTER]ȯ(20377) ."
locale.main_quest_flame_lv103.say_29 = "ϵ   漺(zone1) âϿ ܺη     ٰ ϴ±.[ENTER]װ     ׷.[ENTER]Ͽ.[ENTER] ȹ (20380)  ̴ ø ٸ ְԳ.[ENTER]"
locale.main_quest_flame_lv103.say_30 = "漺(zone1) ĩŸ"
locale.main_quest_flame_lv103.say_31 = "߿Գ.[ENTER]ڳװ   п   ;, ôĿ ϸ     ׷.[ENTER]ƹ    óġؼ Կ     ʳ.[ENTER]׷ ô   η ̴ ༮ 켱 óġϿ   ٳ.[ENTER]"
locale.main_quest_flame_lv103.say_32 = " ༮ ȭ(6005),(6007),ȭ(6006),,ʿ(6009)  5༮̶.[ENTER] ༮ 漺(zone1)  ̱⵵ ,  ߸õ(6091)  η ǴϿ.[ENTER] Ӹ ڸ ο  ظ ָ 츮 ȹ Ӱ   ̳.[ENTER]׷ ̴, 5༮  50 óġ ְԳ.[ENTER]"
locale.main_quest_flame_lv103.say_33 = "漺(zone1) Ͽ   ."
locale.main_quest_flame_lv103.say_34 = "漺(zone1) θ ϶."
locale.main_quest_flame_lv103.say_35 = "漺(zone1) Ͽ,   óġ.[ENTER]"
locale.main_quest_flame_lv103.say_36 = " θ      ׷.[ENTER]츮 ȹ   ʿ ̴ ٽ ٳԳ.[ENTER]"
locale.main_quest_flame_lv103.say_37 = "漺(zone1)    óġϿ.[ENTER]ȯ(20377) ϵ ."
locale.main_quest_flame_lv103.say_38 = " 츮 漺(zone1) Ͽ ʸ    ְڱ ׷.[ENTER] ݸ  ư Ǵ ݸ   ְԳ.[ENTER]Ͽ.[ENTER]"
locale.main_quest_flame_lv103.say_39 = "߸õ(6091) 1-1"
locale.main_quest_flame_lv103.say_40 = "ڳװ θ  п  ϵ ǳ  ó 漺(zone1)   ư ִٳ.[ENTER] ڳ  ũٳ.[ENTER]ٽñ 縦 ǥ.[ENTER] 漺(zone1) Ŀ Բ ʸ     Ͱ.[ENTER]ڳ׸ θ  Ȳ ˷ִ Ͱ 縦 ǥϱ ؼ .[ENTER](20380) å      (20380) Գ.[ENTER]"
locale.main_quest_flame_lv103.say_41 = "(20380) å  ."
locale.main_quest_flame_lv103.say_42 = "(20380) ãư.[ENTER]"
locale.main_quest_flame_lv103.say_43 = ". ٸ ־ٳ.[ENTER]ȯ(20377)Բ ڳ    ϰ ־ٳ.[ENTER]ϴ װ װŰ, ʸ    ũ å  ְڳ.[ENTER]"
locale.main_quest_flame_lv103.say_44 = "ȯ(20377)   پ 縦 Ͽ,  ߸õ(6091) Ͽ 縦 Ͽ.[ENTER]  ū ҵ ٳ.[ENTER] ߸õ(6091)  ǰŸ  ܵ ȭ(8057)    .[ENTER] ȭ(8057) Ѵٸ ߸õ(6091) óġ ξ ϰ  ̾.[ENTER]"
locale.main_quest_flame_lv103.say_45 = "׷   ȭ(8057) ϰ  Ǵ ̴ϱ?[ENTER]"
locale.main_quest_flame_lv103.say_46 = "׷ٳ.[ENTER]ڳ׵ ˴ٽ ȭ(8057) ϸ  û  ϰԵ.[ENTER]װ Ͽ ɽ鼭 ϰ   ְԳ.[ENTER]ȭ(8057)  ã  ̴   ϰԳ.[ENTER]"
locale.main_quest_flame_lv103.say_47 = "߸õ(6091) Ͽ   ȯ(20377) Ϸֽ ̾.[ENTER]׷ ڳ״  漺(zone1) Ͽ, ȭ(8057) 1 ϰ ȯ(20377)Բ  ְԳ.[ENTER]"
locale.main_quest_flame_lv103.say_48 = "漺(zone1) ȭ(8057) ."
locale.main_quest_flame_lv103.say_49 = "ȭ(8057) ."
locale.main_quest_flame_lv103.say_50 = "漺(zone1) ִ ȭ(8057) .[ENTER]"
locale.main_quest_flame_lv103.say_51 = "  ı"
locale.main_quest_flame_lv103.say_52 = " ϰ ߸õ(6091) ϱ 쳪,  ôĸ Կ  ٳ.[ENTER]ƹ  ľ ϴ,  ̷  հ?[ENTER]ȭ(8057) Ͽ  å     ϰ ƿԳ.[ENTER]"
locale.main_quest_flame_lv103.say_53 = "漺(zone1) ִ ȭ(8057)  Ͽ.[ENTER]ȯ(20377) ϵ ."
locale.main_quest_flame_lv103.say_54 = "ȭ(8057)  Ͽٴ  ޾ҳ.[ENTER]ڳװ  ̶ ͵ ˰ ־ ̾.[ENTER]Ͽ.  å ڳ׵ ġ  ˰̳.[ENTER]ٷ  ߸õ(6091) ̳.[ENTER]غ ð ɸ⵵ϴ, ߿  θŵ  ǳ [ENTER]ȭ ׵ Բ ì  ϰԳ.[ENTER]"

locale.main_quest_flame_lv104 = {}
locale.main_quest_flame_lv104.say_1 = "߸õ(6091)  1-2"
locale.main_quest_flame_lv104.say_2 = "ȯ(20377)  ϰ ã ֽϴ.[ENTER]ȯ(20377) ڼ ̾߱⸦  Ͻʽÿ.[ENTER]"
locale.main_quest_flame_lv104.say_3 = " ٷȳ.[ENTER]ڳװ ȭ(8057) Ͽ  ߸õ(6091) ĵ   ٳ.[ENTER]  ñⰡ °̾.[ENTER]ʸ  ϰ  ߸õ(6091) ĸ     ־[ENTER]̹  ϼ ߸ Ѵٳ.[ENTER]"
locale.main_quest_flame_lv104.say_4 = "ڳ  ־    ̳.[ENTER]ϵ鿡Դ Ͽ ־ ڳ   ̱⿡ ȿ .[ENTER]װ ϰ ߸õ(6091) ְԳ.[ENTER]ƹ  ̶ 1ð̻ ϱ   ñ⿡  ϰԳ.[ENTER]׷  ߸õ(6091) Ҷ ū ַλ ʰ̳.[ENTER]"
locale.main_quest_flame_lv104.say_5 = ". ˰ڽϴ.[ENTER]"
locale.main_quest_flame_lv104.say_6 = "漺(zone1)  ߸õ(6091) ."
locale.main_quest_flame_lv104.say_7 = " ߸õ(6091) ϶."
locale.main_quest_flame_lv104.say_8 = "漺(zone1) Ͽ  ߸õ(6091) .[ENTER]"
locale.main_quest_flame_lv104.say_9 = "޵  ߱  ʽϴ.[ENTER]"
locale.main_quest_flame_lv104.say_10 = " ߸õ(6091)  밡 ƴ.[ENTER]׷ 츮 ʸ  ϰ ʿ   ؼ[ENTER] Ͽ߸ Ѵٳ.[ENTER]ٽñ   ٳ ְԳ.[ENTER]"
locale.main_quest_flame_lv104.say_11 = " ݸ ϸ   Ǯ  ־µ[ENTER] ϴٴϡ[ENTER]浵 ٰ ;Ͽ  ״ װ  ̴.[ENTER] и ٽ   ̴.[ENTER]"
locale.main_quest_flame_lv104.say_12 = "漺(zone1)  ߸õ(6091) Ͽ.[ENTER]ȯ(20377) ϵ ."
locale.main_quest_flame_lv104.say_13 = "Ƿ決 ȯ(20377) ã  ɵ .[ENTER]"
locale.main_quest_flame_lv104.say_14 = ".  .[ENTER]ڳװ ġ  ι  ˾, ̷ ߸õ(6091) Ͽ ̾.[ENTER]Ͽ Գ.[ENTER]"
locale.main_quest_flame_lv104.say_15 = "ȯ(20377) ׷  ߸õ(6091) 鼭, ̷  Ͽϴ.[ENTER] ٰ ;Ͽ  ״ װ  ̰, и  ٽ   ̴.  ߽ϴ.[ENTER]ƹ ̰  ƴ  Դϴ.[ENTER]"
locale.main_quest_flame_lv104.say_16 = "˰ڳ.[ENTER]   ˾Ҵµ װ ƴϾ ׷.[ENTER]  ˾ƺ Ŀ θ ϰڳ.[ENTER]"
locale.main_quest_flame_lv104.say_17 = " 1-1"
locale.main_quest_flame_lv104.say_18 = ".[ENTER]ڳװ ߸õ(6091) óġϰ  ༮    پϰ 縦  ҳ.[ENTER]ôĸ  Ȯε Ͽ ̾.[ENTER]ڳ ó ߸õ(6091) ȰϿ ־.[ENTER]űٰ 漺(zone1) վ Ź   ٳ.[ENTER]"
locale.main_quest_flame_lv104.say_19 = "ƹ  ߸õ(6091) ٽ ϸ鼭  Ͽ߸ Ƚ     ̳.[ENTER]  ༮ ڸ     ̳.[ENTER] ̺κп ؼ (20380)Ե Ϸ ξ, (20380)  ڼ   ϰԳ.[ENTER]"
locale.main_quest_flame_lv104.say_20 = "(20380)  å 赵 ."
locale.main_quest_flame_lv104.say_21 = "(20380) ."
locale.main_quest_flame_lv104.say_22 = "(20380)  å .[ENTER]"
locale.main_quest_flame_lv104.say_23 = "(20380) ϱ  ٽÿ Ծߡ[ENTER] Գ.[ENTER]"
locale.main_quest_flame_lv104.say_24 = ". ٸ ־ٳ.[ENTER]  ߸õ(6091) ƴ?[ENTER]ġ   ǰ ־,  س  ϳ ׷.[ENTER]ϴ å  ֵ ϰڳ.[ENTER]"
locale.main_quest_flame_lv104.say_25 = "߸õ(6091)   ǻ   ̳.[ENTER]  ϱ⿡ 濡   Ͽ ȿ ̳.[ENTER]׷⶧   å Ͽ ڳװ    ָ ȴٳ.[ENTER]"
locale.main_quest_flame_lv104.say_26 = "˰ڽϴ. ׷    Դϱ?[ENTER]"
locale.main_quest_flame_lv104.say_27 = "  ġ  ˷ָ鼭  翡 ؼ ˰ Ǿ ̳.[ENTER]׷  ̵  ޼ Ŀ  ̻  ϴ  ƴ϶    Եȴٳ.[ENTER]׷     ϴ å ٳ.[ENTER] å ϱ ؼ      Ͽ Ѵٳ.[ENTER]˾ƺ    ϱ ؼ ȭ(6005),(6007),ȭ(6006),,ʿ(6009)   óġϰ   ;  ̳.[ENTER]    ڳ ̴ ε 5 ش ְ.[ENTER]"
locale.main_quest_flame_lv104.say_28 = " ʿ Ḧ ."
locale.main_quest_flame_lv104.say_29 = " ʿ Ḧ ؼ (20380) ..[ENTER]"
locale.main_quest_flame_lv104.say_30 = "~ ϱ.[ENTER] %d  ؿ ǰڱ ׷.[ENTER] Գ.[ENTER]"
locale.main_quest_flame_lv104.say_31 = "   ұ ׷.[ENTER] ̰  ʿ   ִٳ.[ENTER]ϴ  ٵ  Ŀ ⺰  ̴  ְԳ.[ENTER]"
locale.main_quest_flame_lv104.say_32 = "ڳװ Ͽ ؿ,   ʹ Ⱑ  ϱ   ׷.[ENTER]ٸ ش ְڳ?[ENTER]"
locale.main_quest_flame_lv104.say_33 = " 1-2"
locale.main_quest_flame_lv104.say_34 = "(20380)  ϰ ã ֽϴ.[ENTER](20380) ڼ ̾߱⸦  Ͻʽÿ.[ENTER]"
locale.main_quest_flame_lv104.say_35 = "߰ſ (31082)     ִ ¶.[ENTER]ʹ ߰ſ    (20380)η̴   ƴ϶.[ENTER]  տ ȭ ԰ ̾.[ENTER]Ȳ Ȳ̴ ŭ  Ḧ ˷ְڳ.[ENTER]ڳװ ̹    ǵ(50814)̶.[ENTER]"
locale.main_quest_flame_lv104.say_36 = "ǵ(50814)    ø  쿩 ϴµ δٳ.[ENTER]װ ϼ ǰ ,      ̳.[ENTER] ߿ ȯ(20377)Բ 赵 ϰ, ǵ(50814)   ʿϴ 100 ش ְԳ.[ENTER]׷ ٸ ְڳ.[ENTER]"
locale.main_quest_flame_lv104.say_37 = "ǵ(50814)  (20380) ."
locale.main_quest_flame_lv104.say_38 = "ǵ(50814)  (20380) .[ENTER]"
locale.main_quest_flame_lv104.say_39 = "Ա ׷.[ENTER]  쿩  ϼ ȴٳ.[ENTER]Ͽ.[ENTER]"
locale.main_quest_flame_lv104.say_40 = " ϼ̶?[ENTER]  Դϱ?[ENTER]"
locale.main_quest_flame_lv104.say_41 = "  Ͽ.[ENTER]ϴ 쿩µ  ؾϴ ߿ ٽ θ ϰڳ.[ENTER]"
locale.main_quest_flame_lv104.say_42 = "ڳ  ڸ ؾƸ ϴ ΰ?[ENTER]ƹ ̶ 100 ؾƷ[ENTER]  ǵ(50814)  ٽÿԳ.[ENTER]"
locale.main_quest_flame_lv104.say_43 = "ǵ(50814)  Ͽ. (20380) ."
locale.main_quest_flame_lv104.say_44 = "Ƿ決 (20380) ã  ɵ .[ENTER]"
locale.main_quest_flame_lv104.say_45 = " 1-3"
locale.main_quest_flame_lv104.say_46 = "ڳװ   п غ  Ǿ ֳ.[ENTER]  ޸  ݸ  ְԳ.[ENTER] ̳ܰ.[ENTER]"
locale.main_quest_flame_lv104.say_47 = "    ϰ  ⸦  ̳.[ENTER]    귯  ° Ҿ ¶.[ENTER] ŭ ȿ  ̾.[ENTER]ϰ ڳ  ʸ ϸ鼭     ̳.[ENTER] ߿  (3291)Լ  ش ְԳ.[ENTER] ž ϴ, 5常 ش ְԳ.[ENTER]"
locale.main_quest_flame_lv104.say_48 = "    (20380) ."
locale.main_quest_flame_lv104.say_49 = " (31024)  (20380) .[ENTER]"
locale.main_quest_flame_lv104.say_50 = " ε йؼ  ش ְ.[ENTER]ʸܵ 浵  ؾ߸ϳ.[ENTER]׷ ٸ ְڳ.[ENTER]"
locale.main_quest_flame_lv104.say_51 = "~  ᰡ .[ENTER]ø ٸ.[ENTER] óϿ ̴ ߿ ȯ(20377) θðŵ  Գ.[ENTER]"
locale.main_quest_flame_lv104.say_52 = "  Ͽ. (20380) ."

locale.main_quest_flame_lv105 = {}
locale.main_quest_flame_lv105.say_1 = " "
locale.main_quest_flame_lv105.say_2 = "ȯ(20377)  ϰ ã ֽϴ.[ENTER]ȯ(20377) ڼ ̾߱⸦  Ͻʽÿ.[ENTER]"
locale.main_quest_flame_lv105.say_3 = "̳.[ENTER](20380)   ʿ  ٰ .[ENTER] ָӴ(31083)  Դ°?[ENTER]"
locale.main_quest_flame_lv105.say_4 = " ֽϴ.  3Դϴ.[ENTER]"
locale.main_quest_flame_lv105.say_5 = " ָӴ(31083)  ߿ ˷ְڳ.[ENTER]ϴ ڳװ ־   ˷ֵ .[ENTER] ָӴ(31083) ϼ Ǿ, ڳ׵ ˴ٽ    ߸õ(6091)  ǻƳ ̳.[ENTER]ô̳ ַλ Ǵ Ȳ.[ENTER]̹   긶 5   ̳.[ENTER]"
locale.main_quest_flame_lv105.say_6 = "漺(zone1) ִ        ִٳ.[ENTER]׷    ߸õ(6091)    ϱ⿡ ʹ [ENTER]ū 庮 .[ENTER]ϴ   ȭ(6005),(6007),ȭ(6006),,ʿ(6009) 10 óϰ ƿ ְԳ.[ENTER]"
locale.main_quest_flame_lv105.say_7 = ". ˰ڽϴ.[ENTER]"
locale.main_quest_flame_lv105.say_8 = "漺(zone1) Ͽ   ."
locale.main_quest_flame_lv105.say_9 = "θ ."
locale.main_quest_flame_lv105.say_10 = "漺(zone1) Ͽ,   óġ.[ENTER]"
locale.main_quest_flame_lv105.say_11 = "޵  ߱  ʽϴ.[ENTER]"
locale.main_quest_flame_lv105.say_12 = " θ      ׷.[ENTER]θ  ϸ   ʸ̰   浵 ٳ.[ENTER] ٳ.[ENTER]"
locale.main_quest_flame_lv105.say_13 = "漺(zone1)    óġϿ.[ENTER]ȯ(20377) ϵ ."
locale.main_quest_flame_lv105.say_14 = "Ƿ決 ȯ(20377) ã  ɵ .[ENTER]"
locale.main_quest_flame_lv105.say_15 = " 츮 漺(zone1) Ͽ ʸ    ְڱ ׷.[ENTER]  ϴ ͸ ұ ׷.[ENTER]Ͽ.[ENTER]"
locale.main_quest_flame_lv105.say_16 = ""
locale.main_quest_flame_lv105.say_17 = "ڳװ θ ϰ   ߸õ(6091) óġ߾, Ȱ ߸õ(6091)  Ѱ .[ENTER] 漺(zone1) ¼¼ ϴٴ   Գ.[ENTER] ߸õ(6091) ڳ׿   ̴ ׷.[ENTER]׷ٰ ũ ޸ ʰ ̾.[ENTER]"
locale.main_quest_flame_lv105.say_18 = "̹ ڳװ   ġ  ˰, ٷ  ߸õ(6091) óġ̳.[ENTER] óġ ̷ , 濡 ؼ ٽ ȰϿ ڳ׿ ӽ ǰ [ENTER]ϰԳ.[ENTER]ƹ  س ϵ ϸ ׸ġ Ǵ ϰ ٳ.[ENTER]"
locale.main_quest_flame_lv105.say_19 = "漺(zone1)  ߸õ(6091) ."
locale.main_quest_flame_lv105.say_20 = " ߸õ(6091) ó."
locale.main_quest_flame_lv105.say_21 = "漺(zone1) Ͽ,  ߸õ(6091) óġ.[ENTER]"
locale.main_quest_flame_lv105.say_22 = " ߸õ(6091)  հ?[ENTER] ߸õ(6091) óġϰ ְԳ.[ENTER]ڳ׶  س   ̾.[ENTER]"
locale.main_quest_flame_lv105.say_23 = "漺(zone1)  ߸õ(6091) Ͽ.[ENTER]ȯ(20377) ϵ ."
locale.main_quest_flame_lv105.say_24 = "!! .[ENTER]Ͽ.[ENTER]Ϸκ   ޾Ҵٳ.[ENTER] 濡   ϱ⸸ϸ     .[ENTER]鸦 ϰ ٽ θ ϰڳ.[ENTER]"
locale.main_quest_flame_lv105.say_25 = " "
locale.main_quest_flame_lv105.say_26 = "  Ǿ.[ENTER]濡  ϰ ʸ  ų ð̸̾.[ENTER]  ָӴ(31083)  ؾ ൿ ϵ ϰڳ.[ENTER]"
locale.main_quest_flame_lv105.say_27 = "   ָӴ(31083)  ϵ Ͽ 2  ѷ  ġ ξٳ.[ENTER] ָӴ(31083)  ִ   ġ  ְ, 뿡    Ǳ⵵.[ENTER]ڳװ   ٷ  Ͼ  ֵ ϴ ̳.[ENTER] ߸õ(6091) óġ   ε   ̳.[ENTER]ű⿡   ָӴ(31083) ϰ .[ENTER]ָӴϼ Ҿϱ   Ͼ ̰  ϵ ġ  Ͽ[ENTER] ߵ  ̳.[ENTER]"
locale.main_quest_flame_lv105.say_28 = "漺(zone1) Ͽ 濡  ."
locale.main_quest_flame_lv105.say_29 = " "
locale.main_quest_flame_lv105.say_30 = "濡  ."
locale.main_quest_flame_lv105.say_31 = "漺(zone1) Ͽ, μ ָӴ(31083) .[ENTER]"
locale.main_quest_flame_lv105.say_32 = " μ(20390): 1"
locale.main_quest_flame_lv105.say_33 = " ȭ"
locale.main_quest_flame_lv105.say_34 = "ũ.. ܿ ΰ!! ũ[ENTER]ġ Ͽ   Ҿ,  δ     .[ENTER]  ߸õ(6091) Ȱϰ  Ǯ  ̴.[ENTER]ũ[ENTER]"
locale.main_quest_flame_lv105.say_35 = "濡  Ϸ õϿ, Ͽ.[ENTER]ȯ(20377) ."
locale.main_quest_flame_lv105.say_36 = "Գ.    Ͽ, һ   ְ.[ENTER]"
locale.main_quest_flame_lv105.say_37 = ".[ENTER] ۵  Ȯϰ Ͼ ϴ.[ENTER]  õ Ǿ Դϴ.[ENTER]׷  Ŵ   Ͽϴ.[ENTER]  ߸õ(6091) Ȱ ̰ ڽŵ  ǮԵ ̶ ߽ϴ.[ENTER]㳪, ̹  õ  Ͽ ū ظ  Ͽϴ.[ENTER]"
locale.main_quest_flame_lv105.say_38 = "׷.[ENTER]Ͽ. ڳ п   س̴ϱ ̾.[ENTER] ް å (20380) θ ҷ ̷ 츦 Ϸ ߴٳ.[ENTER]  ϵ   ϸ鼭    浵 ãƾ ϴ ̶.[ENTER]濡  ϰ Ϻϰ   ãŵ ڳ׸ ٽ θ ϰڳ.[ENTER]Ͽ.[ENTER]"

locale.snow_dungeon = {}
locale.snow_dungeon.say_1 = "Black Dragon Start Intellekt"
locale.snow_dungeon.say_2 = "Pass this one abgelaufen ist. [ENTER] Black Dragon Intelligenz Position fr 1 Stunde gehalten, und wurde in der Mitte des weien Drachen intellektuellen Fortschritt gesendet oder abgeschlossen, wenn die Position auf 30 Minuten begrenzt ist."
locale.snow_dungeon.say_3 = "nicht passieren das Verlies wird raus."
locale.snow_dungeon.say_4 = "10 Sekunden spter mit dem Chef Zimmer gehen"
locale.snow_dungeon.say_5 = "White Dragon von Intelligenz"
locale.snow_dungeon.say_6 = "Wollen Sie wirklich in Black Dragon Intelligenz?"
locale.snow_dungeon.say_7 = "10 Sekunden bis in den zweiten Stock zu bewegen"
locale.snow_dungeon.say_8 = "10 Sekunden bis in den vierstckigen gehen"
locale.snow_dungeon.say_9 = "10 Sekunden bis in den fnfstckigen gehen"
locale.snow_dungeon.say_10 = "Metin Steine ??gefunden"
locale.snow_dungeon.say_11 = "10 Sekunden bis in den dritten Stock zu bewegen"
locale.snow_dungeon.say_12 = "ist nicht der eigentliche Schlssel"
locale.snow_dungeon.say_13 = "Bitte zerlegen Sie das zweite Verzauberung"
locale.snow_dungeon.say_14 = "Bitte zerlegen Sie das dritte Verzauberung"
locale.snow_dungeon.say_15 = "falsche Reihenfolge"
locale.snow_dungeon.say_16 = "Bitte bauen Sie die vierte Chains"
locale.snow_dungeon.say_17 = "Bitte bauen Sie die fnfte Chains"
locale.snow_dungeon.say_18 = "10 Sekunden bis in das sechsstckige gehen"
locale.snow_dungeon.say_19 = "10 Sekunden bis in die sieben Stockwerke zu gehen"
locale.snow_dungeon.say_20 = "false verschwindet"
locale.snow_dungeon.say_21 = "10 Sekunden bis in den acht-Geschichte gehen"
locale.snow_dungeon.say_22 = "10 Sekunden bis in den neun-stckigen gehen"
locale.snow_dungeon.say_23 = "Boss besiegt"
locale.snow_dungeon.say_24 = "1 Minuten nach dem Black Dragon Intelligenz bewegt sich aus."
locale.snow_dungeon.say_25 = "Position die ganze Zeit verstrichen ist, wird die Wartung der White Dragon Verstand bewegt werden."
locale.snow_dungeon.say_26 = "Black Dragon Intelligenz Verweilzeit Eintrag% d Minuten."
locale.snow_dungeon.say_27 = "Black Dragon Intelligenz Positionen wurden halten die Zeit abgelaufen ist."
locale.snow_dungeon.say_28 = "10 Sekunden erlischt die Black Dragon Intelligenz."
locale.snow_dungeon.say_29 = "re-entry Zeit ist mehr als fnf Minuten ist nicht erlaubt. [ENTER]"
locale.snow_dungeon.say_30 = "eine Partei kann nicht weiter vorgehen Behinderung verschwinden [ENTER]"
locale.snow_dungeon.say_31 = "Parteien nicht erreichen Kapitel 104Lv weitere Fortschritte ist unmglich."
locale.snow_dungeon.say_32 = "Party Kapitel 103Lv nicht fllen Sie alle Quests, sind weitere Fortschritte unmglich."
locale.snow_dungeon.say_33 = "Hanma Entscheidung der Position du das wollen?"
locale.snow_dungeon.say_34 = "position"
locale.snow_dungeon.say_35 = "Schlieen"
locale.snow_dungeon.say_36 = "Boss Room Entry"
locale.snow_dungeon.say_37 = "um alles Bse zu besiegen."
locale.snow_dungeon.say_38 = "den Schlssel, mit dem Eis von dem Bsen."
locale.snow_dungeon.say_39 = "all das Bse zu besiegen die jincho naenggoe vergeben."
locale.snow_dungeon.say_40 = "all das Siegel zu brechen."
locale.snow_dungeon.say_41 = "Abbruch notwendigen Elemente fr das Bse kann bezogen werden."
locale.snow_dungeon.say_42 = "Bing Manastein durch den Sieg ber alle Monster zu zerstren."
locale.snow_dungeon.say_43 = "jincho Verliehen naenggoe."
locale.snow_dungeon.say_44 = "Bse aus der Nutzung jigeon White Dragon erhalten."
locale.snow_dungeon.say_45 = "White Dragon Wheel, um zu zerstren."
locale.snow_dungeon.say_46 = "Hanma Verliehen fr."
locale.snow_dungeon.say_47 = "versumt, das Verlies mit Partei hayeotgeona starten"

locale.event_flame_dungeon_open = {}
locale.event_flame_dungeon_open.say_1 = "ȭ "
locale.event_flame_dungeon_open.say_2 = ".. ̾߱⸦ °..[ENTER]ȭ ū  ߰ߵƴٰ ϴ±...[ENTER] ڳó 翴....[ENTER]      ѵ ..."
locale.event_flame_dungeon_open.say_3 = "....  Ŀ ٽ ...[ENTER] ȭ  ǥ  ̵ ϳ ְڳ...[ENTER]װ ٳͼ   ʰڴ°?![ENTER] ñϱ.... " 
locale.event_flame_dungeon_open.say_4 = "̵ ּ~!"
locale.event_flame_dungeon_open.say_5 = "ȣ~!![ENTER]Ⱑ ִ  ̷α...[ENTER] ôϸ,  ĳ ȭ ̷ ڴٴ[ENTER]  ƴϸ Ұ..[ENTER]...."
locale.event_flame_dungeon_open.say_6 = "~!!![ENTER] ֳ~!! ȭ  ǥ ϵ ̵ϼ[ENTER]׸   ʹ  캸 ߿ ٳ ̾߱⳪ ְԳ~![ENTER]׷  ϰԳ~!!"
locale.event_flame_dungeon_open.say_7 = "~!!![ENTER]̻~!! ƹ  ̵ µ Ѱ谡 ֳ...[ENTER]Ϸ翡 ѹ     Գ..."
